import "./Badge.css";
import {centerBaseline as $1f4b04be3f24aae3$export$9d7e2342a7e53afa} from "./CenterBaseline.mjs";
import {IconContext as $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed} from "../icons/Icon.mjs";
import {SkeletonWrapper as $5ad421ec19460c48$export$6069cbe61f690103} from "../icons/Skeleton.mjs";
import {Text as $8e847109a6ab556d$export$5f1af8db9871e1d6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $22gMo$jsx} from "react/jsx-runtime";
import {Provider as $22gMo$Provider, TextContext as $22gMo$TextContext} from "react-aria-components";
import {filterDOMProps as $22gMo$filterDOMProps} from "@react-aria/utils";
import $22gMo$react, {createContext as $22gMo$createContext, forwardRef as $22gMo$forwardRef} from "react";
import {useDOMRef as $22gMo$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 









const $6357025487dea614$export$1d4627584e49159a = /*#__PURE__*/ (0, $22gMo$createContext)(null);
const $6357025487dea614$var$badge = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        rules += p[0];
    }
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.fillStyle === "outline") rules += ' pm91';
    else if (props.fillStyle === "subtle") rules += ' pm91';
    else if (props.fillStyle === "bold") {
        if (props.variant === "celery") rules += ' pg91';
        else if (props.variant === "chartreuse") rules += ' pg91';
        else if (props.variant === "yellow") rules += ' pg91';
        else if (props.variant === "orange") rules += ' pg91';
        else if (props.variant === "notice") rules += ' pg91';
        else rules += ' px91';
    }
    rules += ' sd91';
    rules += ' ea91';
    rules += ' egLWx3bb91';
    rules += ' _oa91';
    rules += ' Sv91';
    rules += ' SgLWx3bd91';
    rules += ' Rv91';
    rules += ' RgLWx3bd91';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl91';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj91';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf91';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne91';
    } else if (!minWidth) rules += ' Nk91';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec91';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn91';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b91';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd91';
    else rules += ' -SFnbic-_Jb91';
    rules += ' -Bu7z1c-ob91';
    rules += ' oj91';
    rules += ' nj91';
    rules += ' kj91';
    rules += ' jj91';
    rules += ' qc91';
    rules += ' qsd91';
    rules += ' -Qg41Lb-IAxCW0c91';
    rules += ' -Qg41Lb-gLWx3bIy91';
    rules += ' MAyFGYc91';
    rules += ' Td91';
    rules += ' Qd91';
    rules += ' -aRvJDd-Tu7Fubd91';
    rules += ' _Ca91';
    if (props.fillStyle === "outline") rules += ' g_g91';
    else if (props.fillStyle === "subtle") {
        if (props.variant === "silver") rules += ' g_f91';
        else if (props.variant === "cinnamon") rules += ' gP91';
        else if (props.variant === "brown") rules += ' gO91';
        else if (props.variant === "turquoise") rules += ' gy91';
        else if (props.variant === "pink") rules += ' gT91';
        else if (props.variant === "magenta") rules += ' gS91';
        else if (props.variant === "fuchsia") rules += ' gR91';
        else if (props.variant === "purple") rules += ' gM91';
        else if (props.variant === "indigo") rules += ' gK91';
        else if (props.variant === "blue") rules += ' gG91';
        else if (props.variant === "cyan") rules += ' gC91';
        else if (props.variant === "seafoam") rules += ' gz91';
        else if (props.variant === "green") rules += ' gA91';
        else if (props.variant === "celery") rules += ' gv91';
        else if (props.variant === "chartreuse") rules += ' gJ91';
        else if (props.variant === "yellow") rules += ' gW91';
        else if (props.variant === "orange") rules += ' gV91';
        else if (props.variant === "red") rules += ' gU91';
        else if (props.variant === "gray") rules += ' gI91';
        else if (props.variant === "negative") rules += ' gU91';
        else if (props.variant === "notice") rules += ' gV91';
        else if (props.variant === "positive") rules += ' gA91';
        else if (props.variant === "neutral") rules += ' gI91';
        else if (props.variant === "informative") rules += ' gG91';
        else if (props.variant === "accent") rules += ' gG91';
    } else if (props.fillStyle === "bold") {
        if (props.variant === "silver") rules += ' gm91';
        else if (props.variant === "cinnamon") rules += ' gq91';
        else if (props.variant === "brown") rules += ' gn91';
        else if (props.variant === "turquoise") rules += ' g591';
        else if (props.variant === "pink") rules += ' gx91';
        else if (props.variant === "magenta") rules += ' gD91';
        else if (props.variant === "fuchsia") rules += ' gr91';
        else if (props.variant === "purple") rules += ' go91';
        else if (props.variant === "indigo") rules += ' gl91';
        else if (props.variant === "blue") rules += ' g291';
        else if (props.variant === "cyan") rules += ' gk91';
        else if (props.variant === "seafoam") rules += ' g491';
        else if (props.variant === "green") rules += ' g191';
        else if (props.variant === "celery") rules += ' g791';
        else if (props.variant === "chartreuse") rules += ' gp91';
        else if (props.variant === "yellow") rules += ' gN91';
        else if (props.variant === "orange") rules += ' gQ91';
        else if (props.variant === "red") rules += ' gB91';
        else if (props.variant === "gray") rules += ' g691';
        else if (props.variant === "negative") rules += ' gB91';
        else if (props.variant === "notice") rules += ' gQ91';
        else if (props.variant === "positive") rules += ' g191';
        else if (props.variant === "neutral") rules += ' g691';
        else if (props.variant === "informative") rules += ' g291';
        else if (props.variant === "accent") rules += ' g291';
    }
    rules += ' _jf91';
    rules += ' _kJ8iPYd91';
    rules += ' hXMFGYc91';
    rules += ' mc91';
    rules += ' lc91';
    if (props.fillStyle === "outline") {
        if (props.variant === "negative") rules += ' iFLVMS91';
        else if (props.variant === "notice") rules += ' i9VrKkd91';
        else if (props.variant === "positive") rules += ' ip17Jm91';
        else if (props.variant === "neutral") rules += ' i0ruhAb91';
        else if (props.variant === "informative") rules += ' iG1ze4d91';
        else if (props.variant === "accent") rules += ' iG1ze4d91';
    } else rules += ' iA91';
    rules += ' -_8sjo0b-t5ZbAob91';
    if (props.size === "XL") rules += ' -M_-Mk91';
    else if (props.size === "L") rules += ' -M_-Mh91';
    else if (props.size === "S") rules += ' -M_-Mg91';
    else if (props.size === "XS") rules += ' -M_-Mf91';
    else rules += ' -M_-Mi91';
    rules += ' -_k_-_kc91';
    rules += ' -h_-hc91';
    return rules;
};
const $6357025487dea614$export$37acb3580601e69a = /*#__PURE__*/ (0, $22gMo$forwardRef)(function Badge(props1, ref) {
    [props1, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props1, ref, $6357025487dea614$export$1d4627584e49159a);
    let { children: children, variant: variant = 'neutral', size: size = 'S', fillStyle: fillStyle = 'bold', overflowMode: overflowMode = 'wrap', ...otherProps } = props1; // useProviderProps(props) in v3
    let domRef = (0, $22gMo$useDOMRef)(ref);
    let isTextOnly = (0, $22gMo$react).Children.toArray(props1.children).every((c)=>!/*#__PURE__*/ (0, $22gMo$react).isValidElement(c));
    return /*#__PURE__*/ (0, $22gMo$jsx)((0, $22gMo$Provider), {
        values: [
            [
                (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                {
                    styles: function anonymous(props) {
                        let rules = " ";
                        rules += ' TAzEcG91';
                        rules += ' QAzEcG91';
                        rules += ' _Jb91';
                        rules += ' _Nc91';
                        rules += ' Pc91';
                        rules += ' _Yb91';
                        if (props.overflowMode === "wrap") rules += ' _7b91';
                        else if (props.overflowMode === "truncate") rules += ' _7c91';
                        return rules;
                    }({
                        overflowMode: overflowMode
                    })
                }
            ],
            [
                (0, $22gMo$TextContext),
                {}
            ],
            [
                (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                {
                    render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                        slot: 'icon',
                        styles: " _Ja91"
                    }),
                    styles: " ZuUmpre91 FuUmpre91 I67logd91 _va91"
                }
            ]
        ],
        children: /*#__PURE__*/ (0, $22gMo$jsx)((0, $5ad421ec19460c48$export$6069cbe61f690103), {
            children: /*#__PURE__*/ (0, $22gMo$jsx)("span", {
                ...(0, $22gMo$filterDOMProps)(otherProps),
                role: "presentation",
                className: (props1.UNSAFE_className || '') + $6357025487dea614$var$badge({
                    variant: variant,
                    size: size,
                    fillStyle: fillStyle
                }, props1.styles),
                style: props1.UNSAFE_style,
                ref: domRef,
                children: typeof children === 'string' || isTextOnly ? /*#__PURE__*/ (0, $22gMo$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                    children: children
                }) : children
            })
        })
    });
});


export {$6357025487dea614$export$1d4627584e49159a as BadgeContext, $6357025487dea614$export$37acb3580601e69a as Badge};
//# sourceMappingURL=Badge.mjs.map
