import "./Button.css";
import {centerBaseline as $1f4b04be3f24aae3$export$9d7e2342a7e53afa} from "./CenterBaseline.mjs";
import {IconContext as $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed} from "../icons/Icon.mjs";
import $7BBHC$intlStringsmjs from "./intlStrings.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {ProgressCircle as $41ddd91dbbf0c389$export$c79b9d6b4cc92af7} from "./ProgressCircle.mjs";
import {SkeletonContext as $5ad421ec19460c48$export$74e166679b1f49ee} from "../icons/Skeleton.mjs";
import {Text as $8e847109a6ab556d$export$5f1af8db9871e1d6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $7BBHC$jsx, jsxs as $7BBHC$jsxs, Fragment as $7BBHC$Fragment} from "react/jsx-runtime";
import {OverlayTriggerStateContext as $7BBHC$OverlayTriggerStateContext, Button as $7BBHC$Button, Provider as $7BBHC$Provider, Link as $7BBHC$Link} from "react-aria-components";
import {createContext as $7BBHC$createContext, forwardRef as $7BBHC$forwardRef, useContext as $7BBHC$useContext, useState as $7BBHC$useState, useEffect as $7BBHC$useEffect} from "react";
import {useFocusableRef as $7BBHC$useFocusableRef} from "@react-spectrum/utils";
import {useLocalizedStringFormatter as $7BBHC$useLocalizedStringFormatter} from "@react-aria/i18n";


function $parcel$interopDefault(a) {
  return a && a.__esModule ? a.default : a;
}
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 













const $067ea9f64ccd4e8e$export$24d547caef80ccd1 = /*#__PURE__*/ (0, $7BBHC$createContext)(null);
const $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3 = /*#__PURE__*/ (0, $7BBHC$createContext)(null);
const $067ea9f64ccd4e8e$var$button = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let position = false;
    let width = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    if (props.isStaticColor) rules += ' Oe91';
    else rules += ' Oh91';
    rules += ' Olc91';
    rules += ' _Mc91';
    rules += ' _Kd91';
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr91';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    rules += ' wd91';
    rules += ' xd91';
    rules += ' _xa91';
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isStaticColor) {
        if (props.isDisabled) rules += ' pi91';
        else if (props.fillStyle === "outline") {
            if (props.variant === "genai") rules += ' px91';
            else if (props.variant === "premium") rules += ' px91';
            else {
                if (props.isPressed) rules += ' pk91';
                else if (props.isFocusVisible) rules += ' pk91';
                else if (props.isHovered) rules += ' pk91';
                else rules += ' pj91';
            }
        } else if (props.fillStyle === "fill") {
            if (props.variant === "genai") rules += ' px91';
            else if (props.variant === "premium") rules += ' px91';
            else if (props.variant === "secondary") {
                if (props.isPressed) rules += ' pk91';
                else if (props.isFocusVisible) rules += ' pk91';
                else if (props.isHovered) rules += ' pk91';
                else rules += ' pj91';
            } else if (props.variant === "primary") rules += ' ph91';
        }
    } else if (props.fillStyle === "outline") {
        if (props.isDisabled) rules += ' pp91';
        else if (props.variant === "genai") rules += ' px91';
        else if (props.variant === "premium") rules += ' px91';
        else {
            if (props.isPressed) rules += ' po91';
            else if (props.isFocusVisible) rules += ' po91';
            else if (props.isHovered) rules += ' po91';
            else rules += ' pt91';
        }
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' pp91';
        else if (props.variant === "genai") rules += ' px91';
        else if (props.variant === "premium") rules += ' px91';
        else if (props.variant === "negative") rules += ' px91';
        else if (props.variant === "accent") rules += ' px91';
        else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' po91';
            else if (props.isFocusVisible) rules += ' po91';
            else if (props.isHovered) rules += ' po91';
            else rules += ' pt91';
        } else if (props.variant === "primary") rules += ' pr91';
    }
    if (props.fillStyle === "outline") {
        if (props.isDisabled) rules += ' plc91';
        else rules += ' plb91';
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' ple91';
        else rules += ' pla91';
    }
    rules += ' sd91';
    rules += ' ea91';
    rules += ' egLWx3bb91';
    rules += ' _oa91';
    rules += ' Sw91';
    rules += ' SgLWx3bd91';
    rules += ' Rw91';
    rules += ' RgLWx3bd91';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl91';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj91';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf91';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne91';
    } else if (!minWidth) rules += ' Nk91';
    rules += ' oh91';
    rules += ' nh91';
    rules += ' kh91';
    rules += ' jh91';
    rules += ' qc91';
    rules += ' qsd91';
    rules += ' -Qg41Lb-IAxCW0c91';
    rules += ' -Qg41Lb-gLWx3bIy91';
    rules += ' MAyFGYc91';
    rules += ' Td91';
    rules += ' Qd91';
    rules += ' -aRvJDd-Tu7Fubd91';
    if (!position) rules += ' _Pc91';
    rules += ' _Ca91';
    rules += ' _Wd91';
    rules += ' _4c91';
    if (!width) rules += ' ZJ91';
    rules += ' _Xa91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' _jf91';
    rules += ' _kJ8iPYd91';
    rules += ' hXMFGYc91';
    if (props.variant === "genai") rules += ' ma91';
    else if (props.variant === "premium") rules += ' ma91';
    else if (props.fillStyle === "outline") rules += ' mc91';
    else if (props.fillStyle === "fill") rules += ' ma91';
    if (props.variant === "genai") rules += ' la91';
    else if (props.variant === "premium") rules += ' la91';
    else if (props.fillStyle === "outline") rules += ' lc91';
    else if (props.fillStyle === "fill") rules += ' la91';
    if (props.isStaticColor) {
        if (props.isDisabled) rules += ' ig91';
        else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' ih91';
            else if (props.isFocusVisible) rules += ' ih91';
            else if (props.isHovered) rules += ' ih91';
            else rules += ' ig91';
        } else if (props.variant === "primary") {
            if (props.isPressed) rules += ' ij91';
            else if (props.isFocusVisible) rules += ' ij91';
            else if (props.isHovered) rules += ' ij91';
            else rules += ' ii91';
        }
    } else if (props.isDisabled) rules += ' iq91';
    else if (props.variant === "secondary") {
        if (props.isPressed) rules += ' io91';
        else if (props.isFocusVisible) rules += ' io91';
        else if (props.isHovered) rules += ' io91';
        else rules += ' iq91';
    } else if (props.variant === "primary") {
        if (props.isPressed) rules += ' in91';
        else if (props.isFocusVisible) rules += ' in91';
        else if (props.isHovered) rules += ' in91';
        else rules += ' iv91';
    }
    if (props.isDisabled) rules += ' ilc91';
    else if (props.isHovered) rules += ' ild91';
    else rules += ' ila91';
    rules += ' gqMFGYc91';
    rules += ' -_8sjo0b-t5ZbAob91';
    rules += ' _yb91';
    rules += ' __ca91';
    if (props.size === "XL") rules += ' -M_-Mk91';
    else if (props.size === "L") rules += ' -M_-Mh91';
    else if (props.size === "S") rules += ' -M_-Mg91';
    else if (props.size === "XS") rules += ' -M_-Mf91';
    else rules += ' -M_-Mi91';
    if (props.variant === "genai") rules += ' -_k_-_ka91';
    else if (props.variant === "premium") rules += ' -_k_-_ka91';
    else if (props.fillStyle === "outline") rules += ' -_k_-_kc91';
    else if (props.fillStyle === "fill") rules += ' -_k_-_ka91';
    if (props.variant === "genai") rules += ' -h_-ha91';
    else if (props.variant === "premium") rules += ' -h_-ha91';
    else if (props.fillStyle === "outline") rules += ' -h_-hc91';
    else if (props.fillStyle === "fill") rules += ' -h_-ha91';
    if (props.isStaticColor) {
        if (props.fillStyle === "outline") {
            if (props.isDisabled) {
                if (props.variant === "genai") rules += ' -g_-gf91';
                else if (props.variant === "premium") rules += ' -g_-gf91';
                else rules += ' -g_-g991';
            } else if (props.isFocusVisible) rules += ' -g_-gf91';
            else if (props.isPressed) rules += ' -g_-gf91';
            else if (props.isHovered) rules += ' -g_-gf91';
            else if (props.variant === "genai") rules += ' -g_-gf91';
            else if (props.variant === "premium") rules += ' -g_-gf91';
            else rules += ' -g_-g991';
        } else if (props.fillStyle === "fill") {
            if (props.isDisabled) rules += ' -g_-gf91';
            else if (props.variant === "genai") rules += ' -g_-gf91';
            else if (props.variant === "premium") rules += ' -g_-gf91';
            else if (props.variant === "secondary") {
                if (props.isPressed) rules += ' -g_-gg91';
                else if (props.isFocusVisible) rules += ' -g_-gg91';
                else if (props.isHovered) rules += ' -g_-gg91';
                else rules += ' -g_-gf91';
            } else if (props.variant === "primary") {
                if (props.isPressed) rules += ' -g_-gj91';
                else if (props.isFocusVisible) rules += ' -g_-gj91';
                else if (props.isHovered) rules += ' -g_-gj91';
                else rules += ' -g_-gi91';
            }
        }
    } else if (props.fillStyle === "outline") {
        if (props.isDisabled) {
            if (props.variant === "genai") rules += ' -g_-gH91';
            else if (props.variant === "premium") rules += ' -g_-gH91';
            else rules += ' -g_-g991';
        } else if (props.isFocusVisible) rules += ' -g_-gH91';
        else if (props.isPressed) rules += ' -g_-gH91';
        else if (props.isHovered) rules += ' -g_-gH91';
        else if (props.variant === "genai") rules += ' -g_-gH91';
        else if (props.variant === "premium") rules += ' -g_-gH91';
        else rules += ' -g_-g991';
    } else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' -g_-gH91';
        else if (props.variant === "genai") rules += ' -g_-gH91';
        else if (props.variant === "premium") rules += ' -g_-gH91';
        else if (props.variant === "negative") {
            if (props.isFocusVisible) rules += ' -g_-gYvV9s91';
            else if (props.isPressed) rules += ' -g_-gYvV9s91';
            else if (props.isHovered) rules += ' -g_-gYvV9s91';
            else rules += ' -g_-g7aei891';
        } else if (props.variant === "accent") {
            if (props.isFocusVisible) rules += ' -g_-gUgARdd91';
            else if (props.isPressed) rules += ' -g_-gUgARdd91';
            else if (props.isHovered) rules += ' -g_-gUgARdd91';
            else rules += ' -g_-g5qAiPc91';
        } else if (props.variant === "secondary") {
            if (props.isPressed) rules += ' -g_-gF91';
            else if (props.isFocusVisible) rules += ' -g_-gF91';
            else if (props.isHovered) rules += ' -g_-gF91';
            else rules += ' -g_-gH91';
        } else if (props.variant === "primary") {
            if (props.isPressed) rules += ' -g_-gu91';
            else if (props.isFocusVisible) rules += ' -g_-gu91';
            else if (props.isHovered) rules += ' -g_-gu91';
            else rules += ' -g_-g091';
        }
    }
    if (props.fillStyle === "outline") rules += ' -g_-lgb91';
    else if (props.fillStyle === "fill") {
        if (props.isDisabled) rules += ' -g_-lgd91';
        else if (props.isHovered) rules += ' -g_-lge91';
        else rules += ' -g_-lgc91';
    }
    return rules;
};
// Put the gradient background on a separate element from the button to work around a Safari
// bug where transitions of custom properties cause layout flickering if any properties use rems. 🤣
// https://bugs.webkit.org/show_bug.cgi?id=285622
const $067ea9f64ccd4e8e$var$gradient = function anonymous(props) {
    let rules = " ";
    rules += ' _Pa91';
    rules += ' Wr91';
    rules += ' _lr91';
    rules += ' _Ar91';
    rules += ' _zr91';
    rules += ' _9a91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' oi91';
    rules += ' ni91';
    rules += ' ki91';
    rules += ' ji91';
    if (props.isDisabled) rules += ' _ic91';
    else if (props.variant === "genai") {
        if (props.isFocusVisible) {
            rules += ' _ia91';
            rules += ' -yBNtrc-37ZLpd91';
            rules += ' -zBNtrc-plLfSc91';
            rules += ' -ABNtrc-z2bZib91';
            rules += ' -ACNtrc-tQ56Od91';
        } else if (props.isPressed) {
            rules += ' _ia91';
            rules += ' -yBNtrc-37ZLpd91';
            rules += ' -zBNtrc-plLfSc91';
            rules += ' -ABNtrc-z2bZib91';
            rules += ' -ACNtrc-tQ56Od91';
        } else if (props.isHovered) {
            rules += ' _ia91';
            rules += ' -yBNtrc-37ZLpd91';
            rules += ' -zBNtrc-plLfSc91';
            rules += ' -ABNtrc-z2bZib91';
            rules += ' -ACNtrc-tQ56Od91';
        } else {
            rules += ' _ia91';
            rules += ' -yBNtrc-Nitqwc91';
            rules += ' -zBNtrc-ugAmz91';
            rules += ' -ABNtrc-j7ulPc91';
            rules += ' -ACNtrc-tQ56Od91';
        }
    } else if (props.variant === "premium") {
        if (props.isFocusVisible) {
            rules += ' _ib91';
            rules += ' -yBNtrc-1gYRFc91';
            rules += ' -zBNtrc-z2bZib91';
            rules += ' -ABNtrc-BorWLb91';
            rules += ' -ACNtrc-tQ56Od91';
        } else if (props.isPressed) {
            rules += ' _ib91';
            rules += ' -yBNtrc-1gYRFc91';
            rules += ' -zBNtrc-z2bZib91';
            rules += ' -ABNtrc-BorWLb91';
            rules += ' -ACNtrc-tQ56Od91';
        } else if (props.isHovered) {
            rules += ' _ib91';
            rules += ' -yBNtrc-1gYRFc91';
            rules += ' -zBNtrc-z2bZib91';
            rules += ' -ABNtrc-BorWLb91';
            rules += ' -ACNtrc-tQ56Od91';
        } else {
            rules += ' _ib91';
            rules += ' -yBNtrc-X7W3Sb91';
            rules += ' -zBNtrc-j7ulPc91';
            rules += ' -ABNtrc-fHZGqb91';
            rules += ' -ACNtrc-tQ56Od91';
        }
    }
    rules += ' _ilc91';
    if (props.variant === "genai") rules += ' _pb91';
    else if (props.variant === "premium") rules += ' _pb91';
    return rules;
};
const $067ea9f64ccd4e8e$export$353f5b6fc5456de1 = /*#__PURE__*/ (0, $7BBHC$forwardRef)(function Button(props1, ref) {
    [props1, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props1, ref, $067ea9f64ccd4e8e$export$24d547caef80ccd1);
    props1 = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props1);
    let stringFormatter = (0, $7BBHC$useLocalizedStringFormatter)((0, ($parcel$interopDefault($7BBHC$intlStringsmjs))), '@react-spectrum/s2');
    let { isPending: isPending, variant: variant = 'primary', fillStyle: fillStyle = 'fill', size: size = 'M', staticColor: staticColor } = props1;
    let domRef = (0, $7BBHC$useFocusableRef)(ref);
    let overlayTriggerState = (0, $7BBHC$useContext)((0, $7BBHC$OverlayTriggerStateContext));
    let [isProgressVisible, setIsProgressVisible] = (0, $7BBHC$useState)(false);
    (0, $7BBHC$useEffect)(()=>{
        let timeout;
        if (isPending) // Start timer when isPending is set to true.
        timeout = setTimeout(()=>{
            setIsProgressVisible(true);
        }, 1000);
        else // Exit loading state when isPending is set to false. */
        setIsProgressVisible(false);
        return ()=>{
            // Clean up on unmount or when user removes isPending prop before entering loading state.
            clearTimeout(timeout);
        };
    }, [
        isPending
    ]);
    return /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Button), {
        ...props1,
        ref: domRef,
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef, props1.UNSAFE_style),
        className: (renderProps)=>(props1.UNSAFE_className || '') + $067ea9f64ccd4e8e$var$button({
                ...renderProps,
                // Retain hover styles when an overlay is open.
                isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                isDisabled: renderProps.isDisabled || isProgressVisible,
                variant: variant,
                fillStyle: fillStyle,
                size: size,
                staticColor: staticColor,
                isStaticColor: !!staticColor
            }, props1.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $7BBHC$jsxs)((0, $7BBHC$Fragment), {
                children: [
                    variant === 'genai' || variant === 'premium' ? /*#__PURE__*/ (0, $7BBHC$jsx)("span", {
                        className: $067ea9f64ccd4e8e$var$gradient({
                            ...renderProps,
                            // Retain hover styles when an overlay is open.
                            isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                            isDisabled: renderProps.isDisabled || isProgressVisible,
                            variant: variant
                        })
                    }) : null,
                    /*#__PURE__*/ (0, $7BBHC$jsxs)((0, $7BBHC$Provider), {
                        values: [
                            [
                                (0, $5ad421ec19460c48$export$74e166679b1f49ee),
                                null
                            ],
                            [
                                (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                                {
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' TAzEcG91';
                                        rules += ' QAzEcG91';
                                        rules += ' _Jb91';
                                        if (props.isProgressVisible) rules += ' _Ia91';
                                        else rules += ' _Ib91';
                                        return rules;
                                    }({
                                        isProgressVisible: isProgressVisible
                                    }),
                                    // @ts-ignore data-attributes allowed on all JSX elements, but adding to DOMProps has been problematic in the past
                                    'data-rsp-slot': 'text'
                                }
                            ],
                            [
                                (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                                {
                                    render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                                        slot: 'icon',
                                        styles: " _Ja91"
                                    }),
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        rules += ' ZuUmpre91';
                                        rules += ' FuUmpre91';
                                        rules += ' I67logd91';
                                        rules += ' _va91';
                                        if (props.isProgressVisible) rules += ' _Ia91';
                                        else rules += ' _Ib91';
                                        return rules;
                                    }({
                                        isProgressVisible: isProgressVisible
                                    })
                                }
                            ]
                        ],
                        children: [
                            typeof props1.children === 'string' ? /*#__PURE__*/ (0, $7BBHC$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                                children: props1.children
                            }) : props1.children,
                            isPending && /*#__PURE__*/ (0, $7BBHC$jsx)("div", {
                                className: function anonymous(props) {
                                    let rules = " ";
                                    rules += ' _Pa91';
                                    rules += ' WF91';
                                    rules += ' _EF91';
                                    rules += ' _Zc91';
                                    if (props.isProgressVisible) rules += ' _Ib91';
                                    else rules += ' _Ia91';
                                    return rules;
                                }({
                                    isProgressVisible: isProgressVisible,
                                    isPending: isPending
                                }),
                                children: /*#__PURE__*/ (0, $7BBHC$jsx)((0, $41ddd91dbbf0c389$export$c79b9d6b4cc92af7), {
                                    isIndeterminate: true,
                                    "aria-label": stringFormatter.format('button.pending'),
                                    size: "S",
                                    staticColor: staticColor,
                                    styles: function anonymous(props) {
                                        let rules = " ";
                                        if (props.size === "XL") rules += ' Zo91';
                                        else if (props.size === "L") rules += ' Zm91';
                                        else if (props.size === "M") rules += ' Zl91';
                                        else if (props.size === "S") rules += ' Zk91';
                                        if (props.size === "XL") rules += ' Fp91';
                                        else if (props.size === "L") rules += ' Fn91';
                                        else if (props.size === "M") rules += ' Fm91';
                                        else if (props.size === "S") rules += ' Fl91';
                                        return rules;
                                    }({
                                        size: size
                                    })
                                })
                            })
                        ]
                    })
                ]
            })
    });
});
const $067ea9f64ccd4e8e$export$29d11c0fe2fc51d8 = /*#__PURE__*/ (0, $7BBHC$forwardRef)(function LinkButton(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3);
    props = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    let domRef = (0, $7BBHC$useFocusableRef)(ref);
    let overlayTriggerState = (0, $7BBHC$useContext)((0, $7BBHC$OverlayTriggerStateContext));
    return /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Link), {
        ...props,
        ref: domRef,
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef, props.UNSAFE_style),
        className: (renderProps)=>(props.UNSAFE_className || '') + $067ea9f64ccd4e8e$var$button({
                ...renderProps,
                // Retain hover styles when an overlay is open.
                isHovered: renderProps.isHovered || overlayTriggerState?.isOpen || false,
                variant: props.variant || 'primary',
                fillStyle: props.fillStyle || 'fill',
                size: props.size || 'M',
                staticColor: props.staticColor,
                isStaticColor: !!props.staticColor,
                isPending: false
            }, props.styles),
        children: /*#__PURE__*/ (0, $7BBHC$jsx)((0, $7BBHC$Provider), {
            values: [
                [
                    (0, $5ad421ec19460c48$export$74e166679b1f49ee),
                    null
                ],
                [
                    (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                    {
                        styles: " TAzEcG91 QAzEcG91 _Jb91",
                        // @ts-ignore data-attributes allowed on all JSX elements, but adding to DOMProps has been problematic in the past
                        'data-rsp-slot': 'text'
                    }
                ],
                [
                    (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                    {
                        render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                            slot: 'icon',
                            styles: " _Ja91"
                        }),
                        styles: " ZuUmpre91 FuUmpre91 I67logd91 _va91"
                    }
                ]
            ],
            children: typeof props.children === 'string' ? /*#__PURE__*/ (0, $7BBHC$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                children: props.children
            }) : props.children
        })
    });
});


export {$067ea9f64ccd4e8e$export$24d547caef80ccd1 as ButtonContext, $067ea9f64ccd4e8e$export$1c1a176f3b9e48d3 as LinkButtonContext, $067ea9f64ccd4e8e$export$353f5b6fc5456de1 as Button, $067ea9f64ccd4e8e$export$29d11c0fe2fc51d8 as LinkButton};
//# sourceMappingURL=Button.mjs.map
