import "./Checkbox.css";
import {CenterBaseline as $1f4b04be3f24aae3$export$768dac55bb57081d} from "./CenterBaseline.mjs";
import $81cf3d4588736e7d$export$2e2bcd8739ae039 from "./Checkmark.mjs";
import $f17037051ff08dc2$export$2e2bcd8739ae039 from "./Dash.mjs";
import {FormContext as $9b916426527cebe7$export$c24727297075ec6a, useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $5oFhd$jsx, jsxs as $5oFhd$jsxs, Fragment as $5oFhd$Fragment} from "react/jsx-runtime";
import {CheckboxGroupStateContext as $5oFhd$CheckboxGroupStateContext, useSlottedContext as $5oFhd$useSlottedContext, Checkbox as $5oFhd$Checkbox} from "react-aria-components";
import {createContext as $5oFhd$createContext, forwardRef as $5oFhd$forwardRef, useRef as $5oFhd$useRef, useContext as $5oFhd$useContext} from "react";
import {useFocusableRef as $5oFhd$useFocusableRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 









const $9b405e0f8095dce0$export$b085522c77523c51 = /*#__PURE__*/ (0, $5oFhd$createContext)(null);
const $9b405e0f8095dce0$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let width = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "Z") width = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd91';
    if (!position) rules += ' _Pc91';
    rules += ' qf91';
    rules += ' ea91';
    if (!width) rules += ' ZJ91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isDisabled) {
        rules += ' pp91';
        rules += ' plc91';
    } else {
        if (props.isPressed) rules += ' po91';
        else if (props.isFocusVisible) rules += ' po91';
        else if (props.isHovered) rules += ' po91';
        else rules += ' pt91';
    }
    rules += ' Yc91';
    rules += ' Xb91';
    rules += ' _2b91';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr91';
    }
    rules += ' __ca91';
    return rules;
};
const $9b405e0f8095dce0$export$827f4ee28efc37 = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kd91';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec91';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn91';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b91';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd91';
    else rules += ' -SFnbic-_Jb91';
    rules += ' -Bu7z1c-oa91';
    rules += ' oj91';
    rules += ' nj91';
    rules += ' kj91';
    rules += ' jj91';
    if (props.size === "XL") rules += ' Zm91';
    else if (props.size === "L") rules += ' Zl91';
    else if (props.size === "S") rules += ' Zk91';
    else rules += ' Zu91';
    if (props.size === "XL") rules += ' Fn91';
    else if (props.size === "L") rules += ' Fm91';
    else if (props.size === "S") rules += ' Fl91';
    else rules += ' Ft91';
    rules += ' _va91';
    rules += ' sd91';
    rules += ' eb91';
    rules += ' _Ca91';
    rules += ' _k7m7Gv91';
    rules += ' h7m7Gv91';
    rules += ' m7m7Gv91';
    rules += ' l7m7Gv91';
    rules += ' _oa91';
    rules += ' _jf91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' _yb91';
    if (props.isSelected) {
        if (props.isDisabled) {
            rules += ' gw91';
            rules += ' gld91';
        } else if (props.isInvalid) {
            if (props.isPressed) rules += ' gt91';
            else if (props.isFocusVisible) rules += ' gt91';
            else if (props.isHovered) rules += ' gt91';
            else rules += ' g_d91';
            rules += ' gl_b91';
        } else {
            if (props.isEmphasized) {
                if (props.isPressed) rules += ' gY91';
                else if (props.isFocusVisible) rules += ' gY91';
                else if (props.isHovered) rules += ' gY91';
                else rules += ' g391';
            } else {
                if (props.isPressed) rules += ' gu91';
                else if (props.isFocusVisible) rules += ' gu91';
                else if (props.isHovered) rules += ' gu91';
                else rules += ' g091';
            }
            rules += ' gle91';
        }
    } else {
        rules += ' gX91';
        rules += ' gla91';
    }
    if (props.isSelected) rules += ' iA91';
    else if (props.isDisabled) {
        rules += ' io91';
        rules += ' ilc91';
    } else if (props.isInvalid) {
        if (props.isPressed) rules += ' im91';
        else if (props.isFocusVisible) rules += ' im91';
        else if (props.isHovered) rules += ' im91';
        else rules += ' ip91';
        rules += ' ile91';
    } else {
        if (props.isPressed) rules += ' in91';
        else if (props.isFocusVisible) rules += ' in91';
        else if (props.isHovered) rules += ' in91';
        else rules += ' iv91';
        rules += ' ila91';
    }
    return rules;
};
const $9b405e0f8095dce0$export$2c99b98b77550cb4 = " -_8sjo0b-txpP0Sb91 -_8sjo0b-lt8pvGJ91";
const $9b405e0f8095dce0$var$iconSize = {
    S: 'XS',
    M: 'S',
    L: 'M',
    XL: 'L'
};
const $9b405e0f8095dce0$export$48513f6b9f8ce62d = /*#__PURE__*/ (0, $5oFhd$forwardRef)(function Checkbox({ children: children, ...props }, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $9b405e0f8095dce0$export$b085522c77523c51);
    let boxRef = (0, $5oFhd$useRef)(null);
    let inputRef = (0, $5oFhd$useRef)(null);
    let domRef = (0, $5oFhd$useFocusableRef)(ref, inputRef);
    let isInForm = !!(0, $5oFhd$useContext)((0, $9b916426527cebe7$export$c24727297075ec6a));
    props = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    let isInCheckboxGroup = !!(0, $5oFhd$useContext)((0, $5oFhd$CheckboxGroupStateContext));
    let ctx = (0, $5oFhd$useSlottedContext)($9b405e0f8095dce0$export$b085522c77523c51, props.slot);
    return /*#__PURE__*/ (0, $5oFhd$jsx)((0, $5oFhd$Checkbox), {
        ...props,
        ref: domRef,
        inputRef: inputRef,
        style: props.UNSAFE_style,
        className: (renderProps)=>(props.UNSAFE_className || '') + $9b405e0f8095dce0$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: props.size || 'M'
            }, props.styles),
        children: (renderProps)=>{
            let checkbox = /*#__PURE__*/ (0, $5oFhd$jsxs)("div", {
                ref: boxRef,
                style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(boxRef)(renderProps),
                className: $9b405e0f8095dce0$export$827f4ee28efc37({
                    ...renderProps,
                    isSelected: renderProps.isSelected || renderProps.isIndeterminate,
                    size: props.size || 'M',
                    isEmphasized: isInCheckboxGroup ? ctx?.isEmphasized : props.isEmphasized
                }),
                children: [
                    renderProps.isIndeterminate && /*#__PURE__*/ (0, $5oFhd$jsx)((0, $f17037051ff08dc2$export$2e2bcd8739ae039), {
                        size: $9b405e0f8095dce0$var$iconSize[props.size || 'M'],
                        className: $9b405e0f8095dce0$export$2c99b98b77550cb4
                    }),
                    renderProps.isSelected && !renderProps.isIndeterminate && /*#__PURE__*/ (0, $5oFhd$jsx)((0, $81cf3d4588736e7d$export$2e2bcd8739ae039), {
                        size: $9b405e0f8095dce0$var$iconSize[props.size || 'M'],
                        className: $9b405e0f8095dce0$export$2c99b98b77550cb4
                    })
                ]
            });
            // Only render checkbox without center baseline if no label.
            // This avoids expanding the checkbox height to the font's line height.
            if (!children) return checkbox;
            return /*#__PURE__*/ (0, $5oFhd$jsxs)((0, $5oFhd$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $5oFhd$jsx)((0, $1f4b04be3f24aae3$export$768dac55bb57081d), {
                        children: checkbox
                    }),
                    children
                ]
            });
        }
    });
});


export {$9b405e0f8095dce0$export$b085522c77523c51 as CheckboxContext, $9b405e0f8095dce0$export$827f4ee28efc37 as box, $9b405e0f8095dce0$export$2c99b98b77550cb4 as iconStyles, $9b405e0f8095dce0$export$48513f6b9f8ce62d as Checkbox};
//# sourceMappingURL=Checkbox.mjs.map
