import "./ClearButton.css";
import $bd983341bd35d639$export$2e2bcd8739ae039 from "./Cross.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {jsx as $9qqo3$jsx} from "react/jsx-runtime";
import {Button as $9qqo3$Button} from "react-aria-components";
import {forwardRef as $9qqo3$forwardRef} from "react";
import {useFocusableRef as $9qqo3$useFocusableRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 





const $f6a62e6e68437458$var$focusRingStyles = {
    outlineStyle: {
        "default": "none",
        isFocusVisible: "solid"
    },
    outlineColor: "focus-ring",
    outlineWidth: 2,
    outlineOffset: 2
};
const $f6a62e6e68437458$var$visibleClearButton = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    if (props.isStaticColor) rules += ' Ok91';
    else rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kc91';
    rules += ' sd91';
    rules += ' eb91';
    rules += ' _Ca91';
    rules += ' Fb91';
    if (props.size === "XL") rules += ' ZF91';
    else if (props.size === "L") rules += ' Zw91';
    else if (props.size === "S") rules += ' Zo91';
    else if (props.size === "XS") rules += ' Zm91';
    else rules += ' ZC91';
    rules += ' _va91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    rules += ' _je91';
    rules += ' g991';
    rules += ' _oa91';
    rules += ' Td91';
    rules += ' Qd91';
    rules += ' Sd91';
    rules += ' Rd91';
    rules += ' p40ub4c91';
    rules += ' -_8sjo0b-t5ZbAob91';
    return rules;
};
const $f6a62e6e68437458$export$13ec83e50bf04290 = /*#__PURE__*/ (0, $9qqo3$forwardRef)(function ClearButton(props, ref) {
    let { size: size = 'M', isStaticColor: isStaticColor = false, ...rest } = props;
    let domRef = (0, $9qqo3$useFocusableRef)(ref);
    return /*#__PURE__*/ (0, $9qqo3$jsx)((0, $9qqo3$Button), {
        ...rest,
        ref: domRef,
        style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(domRef),
        className: (renderProps)=>$f6a62e6e68437458$var$visibleClearButton({
                ...renderProps,
                size: size,
                isStaticColor: isStaticColor
            }),
        children: /*#__PURE__*/ (0, $9qqo3$jsx)((0, $bd983341bd35d639$export$2e2bcd8739ae039), {
            size: props.size
        })
    });
});


export {$f6a62e6e68437458$export$13ec83e50bf04290 as ClearButton};
//# sourceMappingURL=ClearButton.mjs.map
