import "./Dialog.css";
import {ButtonGroupContext as $472eaa9a9b344b9a$export$4c574c91bb0be0e2} from "./ButtonGroup.mjs";
import {CloseButton as $a9cda54c4f47ce52$export$de65de8213222d10} from "./CloseButton.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, FooterContext as $8e847109a6ab556d$export$5630640b68817ed6, HeaderContext as $8e847109a6ab556d$export$e0e4026c12a8bdbb, HeadingContext as $8e847109a6ab556d$export$d688439359537581} from "./Content.mjs";
import {ImageContext as $dbd6f0b2503b938c$export$8151eb379fcf2442} from "./Image.mjs";
import {Modal as $c46d159bd615e407$export$2b77a92f1a5ad772} from "./Modal.mjs";
import {jsx as $9Rtwv$jsx, jsxs as $9Rtwv$jsxs} from "react/jsx-runtime";
import {Dialog as $9Rtwv$Dialog, composeRenderProps as $9Rtwv$composeRenderProps, OverlayTriggerStateContext as $9Rtwv$OverlayTriggerStateContext, Provider as $9Rtwv$Provider} from "react-aria-components";
import {forwardRef as $9Rtwv$forwardRef} from "react";
import {useDOMRef as $9Rtwv$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 








const $9bbc115952dac5a6$var$image = " Za91 FC91 _va91 _Hb91";
const $9bbc115952dac5a6$var$heading = " _ub91 Jy91 Gy91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vj91 vsm91 we91 xe91 _xa91 wfe91 xfe91 _xfa91 _Fa91 _Ffb91 po91";
const $9bbc115952dac5a6$var$header = " ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vg91 vsj91 wb91 xb91 _xa91 _Fb91 _Ffc91 pt91";
const $9bbc115952dac5a6$var$content = " _ub91 Pa91 Pme91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vp91 vsh91 wb91 xb91 _xa91 _Fb91 _Ffc91 pt91 Sk91 Rk91";
const $9bbc115952dac5a6$var$footer = " _ub91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vp91 vsh91 wb91 xb91 _xa91 _Fb91 _Ffc91 pt91";
const $9bbc115952dac5a6$var$buttonGroup = " IM91 La91";
const $9bbc115952dac5a6$export$6af31f836f9aa6f2 = " sd91 _ta91 _ub91 K40ub4c91 _oa91 _Le91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 oi91 ni91 ki91 ji91 _Na91 Pa91";
const $9bbc115952dac5a6$export$3ddf2d174ce01153 = /*#__PURE__*/ (0, $9Rtwv$forwardRef)(function Dialog(props, ref) {
    let { size: size = 'M', isDismissible: isDismissible, isKeyboardDismissDisabled: isKeyboardDismissDisabled } = props;
    let domRef = (0, $9Rtwv$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $c46d159bd615e407$export$2b77a92f1a5ad772), {
        size: size,
        isDismissable: isDismissible,
        isKeyboardDismissDisabled: isKeyboardDismissDisabled,
        children: /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $9Rtwv$Dialog), {
            ...props,
            ref: domRef,
            style: props.UNSAFE_style,
            className: (props.UNSAFE_className || '') + $9bbc115952dac5a6$export$6af31f836f9aa6f2,
            children: (0, $9Rtwv$composeRenderProps)(props.children, (children)=>// Render the children multiple times inside the wrappers we need to implement the layout.
                // Each instance hides certain children so that they are all rendered in the correct locations.
                // Reset OverlayTriggerStateContext so the buttons inside the dialog don't retain their hover state.
                /*#__PURE__*/ (0, $9Rtwv$jsxs)((0, $9Rtwv$OverlayTriggerStateContext).Provider, {
                    value: null,
                    children: [
                        /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $9Rtwv$Provider), {
                            values: [
                                [
                                    (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                                    {
                                        styles: $9bbc115952dac5a6$var$image
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$d688439359537581),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$5630640b68817ed6),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                    {
                                        isHidden: true
                                    }
                                ]
                            ],
                            children: children
                        }),
                        /*#__PURE__*/ (0, $9Rtwv$jsxs)("div", {
                            className: function anonymous(props) {
                                let rules = " ";
                                rules += ' sd91';
                                rules += ' ed91';
                                rules += ' qg91';
                                rules += ' Sk91';
                                if (props.isDismissible) rules += ' Re91';
                                else rules += ' Rk91';
                                rules += ' Te91';
                                return rules;
                            }({
                                isDismissible: props.isDismissible
                            }),
                            children: [
                                /*#__PURE__*/ (0, $9Rtwv$jsx)("div", {
                                    className: " sd91 _ub91 Jz91 Jay91 GC91 Gay91 qj91 Ue91 _ta91 _tnc91 ed91 enb91",
                                    children: /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $9Rtwv$Provider), {
                                        values: [
                                            [
                                                (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                                                {
                                                    hidden: true
                                                }
                                            ],
                                            [
                                                (0, $8e847109a6ab556d$export$d688439359537581),
                                                {
                                                    styles: $9bbc115952dac5a6$var$heading
                                                }
                                            ],
                                            [
                                                (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                                {
                                                    styles: $9bbc115952dac5a6$var$header
                                                }
                                            ],
                                            [
                                                (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                                {
                                                    isHidden: true
                                                }
                                            ],
                                            [
                                                (0, $8e847109a6ab556d$export$5630640b68817ed6),
                                                {
                                                    isHidden: true
                                                }
                                            ],
                                            [
                                                (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                                {
                                                    isHidden: true
                                                }
                                            ]
                                        ],
                                        children: children
                                    })
                                }),
                                props.isDismissible && /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $a9cda54c4f47ce52$export$de65de8213222d10), {
                                    styles: " Gx91"
                                })
                            ]
                        }),
                        /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $9Rtwv$Provider), {
                            values: [
                                [
                                    (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                                    {
                                        hidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$d688439359537581),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                    {
                                        styles: $9bbc115952dac5a6$var$content
                                    }
                                ],
                                [
                                    (0, $8e847109a6ab556d$export$5630640b68817ed6),
                                    {
                                        isHidden: true
                                    }
                                ],
                                [
                                    (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                    {
                                        isHidden: true
                                    }
                                ]
                            ],
                            children: children
                        }),
                        /*#__PURE__*/ (0, $9Rtwv$jsx)("div", {
                            className: " sd91 Sk91 Rk91 Qk91 Tk91 Tad91 Uj91 qj91 eb91 _wb91",
                            children: /*#__PURE__*/ (0, $9Rtwv$jsx)((0, $9Rtwv$Provider), {
                                values: [
                                    [
                                        (0, $dbd6f0b2503b938c$export$8151eb379fcf2442),
                                        {
                                            hidden: true
                                        }
                                    ],
                                    [
                                        (0, $8e847109a6ab556d$export$d688439359537581),
                                        {
                                            isHidden: true
                                        }
                                    ],
                                    [
                                        (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                        {
                                            isHidden: true
                                        }
                                    ],
                                    [
                                        (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                        {
                                            isHidden: true
                                        }
                                    ],
                                    [
                                        (0, $8e847109a6ab556d$export$5630640b68817ed6),
                                        {
                                            styles: $9bbc115952dac5a6$var$footer
                                        }
                                    ],
                                    [
                                        (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                        {
                                            isHidden: props.isDismissible,
                                            styles: $9bbc115952dac5a6$var$buttonGroup,
                                            align: 'end'
                                        }
                                    ]
                                ],
                                children: children
                            })
                        })
                    ]
                }))
        })
    });
});


export {$9bbc115952dac5a6$export$6af31f836f9aa6f2 as dialogInner, $9bbc115952dac5a6$export$3ddf2d174ce01153 as Dialog};
//# sourceMappingURL=Dialog.mjs.map
