import "./FullscreenDialog.css";
import {ButtonGroupContext as $472eaa9a9b344b9a$export$4c574c91bb0be0e2} from "./ButtonGroup.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, HeaderContext as $8e847109a6ab556d$export$e0e4026c12a8bdbb, HeadingContext as $8e847109a6ab556d$export$d688439359537581} from "./Content.mjs";
import {Modal as $c46d159bd615e407$export$2b77a92f1a5ad772} from "./Modal.mjs";
import {jsx as $900FG$jsx} from "react/jsx-runtime";
import {Dialog as $900FG$Dialog, composeRenderProps as $900FG$composeRenderProps, OverlayTriggerStateContext as $900FG$OverlayTriggerStateContext, Provider as $900FG$Provider} from "react-aria-components";
import {forwardRef as $900FG$forwardRef} from "react";
import {useDOMRef as $900FG$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $8e7a38ff5b9798e1$var$heading = " zPCJngb91 yPCJngb91 BPCJngb91 APCJngb91 _ub91 Jy91 Gy91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vj91 vsm91 we91 xe91 _xa91 wfe91 xfe91 _xfa91 _Fa91 _Ffb91 po91";
const $8e7a38ff5b9798e1$var$header = " z6Akec91 y6Akec91 B6Akec91 A6Akec91 InM91 HnM91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vg91 vsj91 wb91 xb91 _xa91 _Fb91 _Ffc91 pt91";
const $8e7a38ff5b9798e1$var$content = " zk52g2d91 yk52g2d91 Bk52g2d91 Ak52g2d91 _ub91 Pa91 Pme91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 vp91 vsh91 wb91 xb91 _xa91 _Fb91 _Ffc91 pt91";
const $8e7a38ff5b9798e1$var$buttonGroup = " z4AkfTc91 y4AkfTc91 B4AkfTc91 A4AkfTc91 IM91 La91";
const $8e7a38ff5b9798e1$export$6af31f836f9aa6f2 = " se91 CQpyMed91 Cns3y4td91 DM8Mfn91 Dn4w1sLc91 EH21CE91 EnFjesNe91 Th91 Tnk91 Qh91 Qnk91 Sh91 Snk91 Rh91 Rnk91 ql91 qnj91 K40ub4c91 Fb91 _oa91 _Le91 ug91 uch91 udi91 uea91 ugb91 uhd91 uje91 uic91 oi91 ni91 ki91 ji91 _Na91 Pa91";
const $8e7a38ff5b9798e1$export$7082b7e805d2626f = /*#__PURE__*/ (0, $900FG$forwardRef)(function FullscreenDialog(props, ref) {
    let { variant: variant = 'fullscreen', isKeyboardDismissDisabled: isKeyboardDismissDisabled } = props;
    let domRef = (0, $900FG$useDOMRef)(ref);
    return /*#__PURE__*/ (0, $900FG$jsx)((0, $c46d159bd615e407$export$2b77a92f1a5ad772), {
        size: variant,
        isKeyboardDismissDisabled: isKeyboardDismissDisabled,
        children: /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$Dialog), {
            ...props,
            ref: domRef,
            style: props.UNSAFE_style,
            className: (props.UNSAFE_className || '') + $8e7a38ff5b9798e1$export$6af31f836f9aa6f2,
            children: (0, $900FG$composeRenderProps)(props.children, (children)=>// Reset OverlayTriggerStateContext so the buttons inside the dialog don't retain their hover state.
                /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$OverlayTriggerStateContext).Provider, {
                    value: null,
                    children: /*#__PURE__*/ (0, $900FG$jsx)((0, $900FG$Provider), {
                        values: [
                            [
                                (0, $8e847109a6ab556d$export$d688439359537581),
                                {
                                    styles: $8e7a38ff5b9798e1$var$heading
                                }
                            ],
                            [
                                (0, $8e847109a6ab556d$export$e0e4026c12a8bdbb),
                                {
                                    styles: $8e7a38ff5b9798e1$var$header
                                }
                            ],
                            [
                                (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                                {
                                    styles: $8e7a38ff5b9798e1$var$content
                                }
                            ],
                            [
                                (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                                {
                                    styles: $8e7a38ff5b9798e1$var$buttonGroup
                                }
                            ]
                        ],
                        children: children
                    })
                }))
        })
    });
});


export {$8e7a38ff5b9798e1$export$6af31f836f9aa6f2 as dialogInner, $8e7a38ff5b9798e1$export$7082b7e805d2626f as FullscreenDialog};
//# sourceMappingURL=FullscreenDialog.mjs.map
