import "./IllustratedMessage.css";
import {ButtonGroupContext as $472eaa9a9b344b9a$export$4c574c91bb0be0e2} from "./ButtonGroup.mjs";
import {ContentContext as $8e847109a6ab556d$export$1cbdd774077931b4, HeadingContext as $8e847109a6ab556d$export$d688439359537581} from "./Content.mjs";
import {IllustrationContext as $ac8c32e6775ddd1f$export$207c7561471de4bd} from "../icons/Icon.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $3JmRZ$jsx} from "react/jsx-runtime";
import {Provider as $3JmRZ$Provider} from "react-aria-components";
import {createContext as $3JmRZ$createContext, forwardRef as $3JmRZ$forwardRef} from "react";
import {filterDOMProps as $3JmRZ$filterDOMProps} from "@react-aria/utils";
import {useDOMRef as $3JmRZ$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 








const $4950413ac998f607$var$illustratedMessage = function anonymous(props, overrides) {
    let rules = " ";
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L|F|M|K)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    rules += ' se91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.size === "XL") rules += ' pt91';
    else if (props.size === "L") rules += ' pt91';
    else if (props.size === "S") rules += ' pt91';
    else if (props.size === "XS") rules += ' pt91';
    else rules += ' pt91';
    if (props.orientation === "horizontal") {
        if (!maxWidth) rules += ' Lj91';
    } else if (props.orientation === "vertical") {
        if (!maxWidth) rules += ' Li91';
    }
    if (props.orientation === "horizontal") rules += ' CLJajOe91';
    else if (props.orientation === "vertical") rules += ' CPmblS91';
    if (props.orientation === "horizontal") rules += ' ECIGjJc91';
    else if (props.orientation === "vertical") {
        if (props.size === "L") rules += ' EbQCrs91';
        else rules += ' E4ICjXd91';
    }
    if (props.orientation === "horizontal") rules += ' DpdPjR91';
    if (props.orientation === "horizontal") rules += ' _Dc91';
    else if (props.orientation === "vertical") rules += ' _Da91';
    if (props.orientation === "vertical") rules += ' _Wa91';
    return rules;
};
const $4950413ac998f607$var$illustration = function anonymous(props) {
    let rules = " ";
    rules += ' zTZ8xtd91';
    rules += ' yTZ8xtd91';
    rules += ' BTZ8xtd91';
    rules += ' ATZ8xtd91';
    rules += ' _dc91';
    if (props.isDropTarget) rules += ' -_8sjo0b-pu91';
    else rules += ' -_8sjo0b-pt91';
    return rules;
};
const $4950413ac998f607$var$heading = function anonymous(props) {
    let rules = " ";
    rules += ' zPCJngb91';
    rules += ' yPCJngb91';
    rules += ' BPCJngb91';
    rules += ' APCJngb91';
    if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "M") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "L") {
        rules += ' vj91';
        rules += ' vsm91';
    } else if (props.size === "M") {
        rules += ' vi91';
        rules += ' vsl91';
    } else if (props.size === "S") {
        rules += ' vp91';
        rules += ' vsh91';
    }
    if (props.size === "L") {
        rules += ' wd91';
        rules += ' xd91';
        rules += ' _xa91';
        rules += ' wfd91';
        rules += ' xfd91';
        rules += ' _xfa91';
    } else if (props.size === "M") {
        rules += ' wd91';
        rules += ' xd91';
        rules += ' _xa91';
        rules += ' wfd91';
        rules += ' xfd91';
        rules += ' _xfa91';
    } else if (props.size === "S") {
        rules += ' wd91';
        rules += ' xd91';
        rules += ' _xa91';
        rules += ' wfd91';
        rules += ' xfd91';
        rules += ' _xfa91';
    }
    if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "M") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.size === "L") rules += ' po91';
    else if (props.size === "M") rules += ' po91';
    else if (props.size === "S") rules += ' po91';
    rules += ' _dd91';
    rules += ' Jy91';
    rules += ' Gy91';
    rules += ' Iy91';
    rules += ' Hy91';
    return rules;
};
const $4950413ac998f607$var$content = function anonymous(props) {
    let rules = " ";
    if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "M") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "L") {
        rules += ' vd91';
        rules += ' vsf91';
    } else if (props.size === "M") {
        rules += ' vd91';
        rules += ' vsf91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    }
    if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "M") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "L") {
        rules += ' _Fb91';
        rules += ' _Ffc91';
    } else if (props.size === "M") {
        rules += ' _Fb91';
        rules += ' _Ffc91';
    } else if (props.size === "S") {
        rules += ' _Fb91';
        rules += ' _Ffc91';
    }
    if (props.size === "L") rules += ' pt91';
    else if (props.size === "M") rules += ' pt91';
    else if (props.size === "S") rules += ' pt91';
    rules += ' zk52g2d91';
    rules += ' yk52g2d91';
    rules += ' Bk52g2d91';
    rules += ' Ak52g2d91';
    rules += ' _de91';
    return rules;
};
const $4950413ac998f607$var$buttonGroup = " zmlKpq91 ymlKpq91 BmlKpq91 AmlKpq91 JC91";
const $4950413ac998f607$export$d661ef89ad42d682 = /*#__PURE__*/ (0, $3JmRZ$createContext)(null);
const $4950413ac998f607$export$406dbc84c317ece0 = /*#__PURE__*/ (0, $3JmRZ$forwardRef)(function IllustratedMessage(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $4950413ac998f607$export$d661ef89ad42d682);
    let domRef = (0, $3JmRZ$useDOMRef)(ref);
    let { children: children, orientation: orientation = 'horizontal', size: size = 'M', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, isInDropZone: isInDropZone = false, isDropTarget: isDropTarget = false, ...otherProps } = props;
    return /*#__PURE__*/ (0, $3JmRZ$jsx)("div", {
        ...(0, $3JmRZ$filterDOMProps)(otherProps),
        style: UNSAFE_style,
        className: UNSAFE_className + $4950413ac998f607$var$illustratedMessage({
            size: props.size || 'M',
            orientation: props.orientation || 'vertical'
        }, props.styles),
        ref: domRef,
        children: /*#__PURE__*/ (0, $3JmRZ$jsx)((0, $3JmRZ$Provider), {
            values: [
                [
                    (0, $8e847109a6ab556d$export$d688439359537581),
                    {
                        styles: $4950413ac998f607$var$heading({
                            orientation: orientation,
                            size: size
                        })
                    }
                ],
                [
                    (0, $8e847109a6ab556d$export$1cbdd774077931b4),
                    {
                        styles: $4950413ac998f607$var$content({
                            size: size
                        })
                    }
                ],
                [
                    (0, $ac8c32e6775ddd1f$export$207c7561471de4bd),
                    {
                        size: size === 'L' ? 'L' : 'M',
                        styles: $4950413ac998f607$var$illustration({
                            orientation: orientation,
                            size: size,
                            isInDropZone: isInDropZone,
                            isDropTarget: isDropTarget
                        })
                    }
                ],
                [
                    (0, $472eaa9a9b344b9a$export$4c574c91bb0be0e2),
                    {
                        styles: $4950413ac998f607$var$buttonGroup
                    }
                ]
            ],
            children: children
        })
    });
});


export {$4950413ac998f607$export$d661ef89ad42d682 as IllustratedMessageContext, $4950413ac998f607$export$406dbc84c317ece0 as IllustratedMessage};
//# sourceMappingURL=IllustratedMessage.mjs.map
