import "./Meter.css";
import {FieldLabel as $9afd80978c252040$export$1acdcf5a973a8414} from "./Field.mjs";
import {SkeletonWrapper as $5ad421ec19460c48$export$6069cbe61f690103} from "../icons/Skeleton.mjs";
import {Text as $8e847109a6ab556d$export$5f1af8db9871e1d6} from "./Content.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $blcZa$jsx, jsxs as $blcZa$jsxs, Fragment as $blcZa$Fragment} from "react/jsx-runtime";
import {Meter as $blcZa$Meter} from "react-aria-components";
import {createContext as $blcZa$createContext, forwardRef as $blcZa$forwardRef} from "react";
import {useDOMRef as $blcZa$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $bb56943300b294c6$export$8b645da15a96b44f = /*#__PURE__*/ (0, $blcZa$createContext)(null);
const $bb56943300b294c6$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let minWidth = false;
    let maxWidth = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "N") minWidth = true;
        if (p[1] === "L") maxWidth = true;
        rules += p[0];
    }
    if (props.staticColor === "white") rules += ' -Ovbhqd-gcwrnr91';
    else if (props.staticColor === "black") rules += ' -Ovbhqd-g4hn3s91';
    if (!position) rules += ' _Pc91';
    rules += ' se91';
    if (props.labelPosition === "side") rules += ' DPlN5qb91';
    else if (props.labelPosition === "top") rules += ' Dxumf9b91';
    if (props.labelPosition === "side") rules += ' Cvv4gue91';
    else if (props.labelPosition === "top") rules += ' CC0Gyo91';
    rules += ' ea91';
    rules += ' _Bb91';
    if (!minWidth) rules += ' Nl91';
    if (!maxWidth) rules += ' Lk91';
    if (props.size === "XL") rules += ' -BhX7R-Fz91';
    else if (props.size === "L") rules += ' -BhX7R-Fv91';
    else if (props.size === "S") rules += ' -BhX7R-Fp91';
    else if (props.size === "XS") rules += ' -BhX7R-Fn91';
    else rules += ' -BhX7R-Fx91';
    rules += ' -dTMmze-Fe91';
    rules += ' -AJjOLd-UCwrhQe91';
    rules += ' qg91';
    return rules;
};
const $bb56943300b294c6$var$valueStyles = function anonymous(props) {
    let rules = " ";
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isStaticColor) rules += ' pl91';
    else if (props.isDisabled) rules += ' pp91';
    else rules += ' pv91';
    rules += ' plb91';
    rules += ' ri91';
    rules += ' z8bmXs91';
    rules += ' y8bmXs91';
    rules += ' B8bmXs91';
    rules += ' A8bmXs91';
    return rules;
};
const $bb56943300b294c6$var$trackStyles = function anonymous(props) {
    let rules = " ";
    rules += ' zMY0fn91';
    rules += ' yMY0fn91';
    rules += ' BMY0fn91';
    rules += ' AMY0fn91';
    if (props.size === "XL") rules += ' Nl91';
    else if (props.size === "L") rules += ' Nj91';
    else if (props.size === "S") rules += ' Nf91';
    else if (props.size === "XS") rules += ' Ne91';
    else rules += ' Nk91';
    if (props.isQuiet) rules += ' _qd91';
    else rules += ' _qtb91';
    if (props.size === "XL") rules += ' -Anxdcc-Zt91';
    else if (props.size === "L") rules += ' -Anxdcc-ZStdtne91';
    else if (props.size === "S") rules += ' -Anxdcc-Zr91';
    else rules += ' -Anxdcc-Z3fn9H91';
    rules += ' __v6TNLWb91';
    rules += ' _Nc91';
    rules += ' Pc91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    if (props.isStaticColor) rules += ' gh91';
    else rules += ' gE91';
    rules += ' glb91';
    rules += ' _Ma91';
    rules += ' _Mlb91';
    rules += ' _Le91';
    rules += ' _Llf91';
    rules += ' Oj91';
    rules += ' Olb91';
    rules += ' _9c91';
    if (props.size === "XL") rules += ' Fj91';
    else if (props.size === "L") rules += ' Fi91';
    else if (props.size === "M") rules += ' Fg91';
    else if (props.size === "S") rules += ' Fe91';
    else rules += ' Fg91';
    return rules;
};
const $bb56943300b294c6$var$fillStyles = function anonymous(props) {
    let rules = " ";
    rules += ' Fb91';
    rules += ' _je91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    if (props.isStaticColor) rules += ' gj91';
    else if (props.variant === "negative") rules += ' gFLVMS91';
    else if (props.variant === "notice") rules += ' g9VrKkd91';
    else if (props.variant === "positive") rules += ' gp17Jm91';
    else rules += ' gG1ze4d91';
    rules += ' glc91';
    return rules;
};
const $bb56943300b294c6$export$62e3ae2a4090b879 = /*#__PURE__*/ (0, $blcZa$forwardRef)(function Meter(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $bb56943300b294c6$export$8b645da15a96b44f);
    let domRef = (0, $blcZa$useDOMRef)(ref);
    let { label: label, size: size = 'M', staticColor: staticColor, styles: styles, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, variant: variant = 'informative', labelPosition: labelPosition = 'top', ...groupProps } = props;
    let isStaticColor = !!staticColor;
    return /*#__PURE__*/ (0, $blcZa$jsx)((0, $blcZa$Meter), {
        ...groupProps,
        ref: domRef,
        style: UNSAFE_style,
        className: UNSAFE_className + $bb56943300b294c6$var$wrapper({
            size: size,
            variant: variant,
            staticColor: staticColor,
            labelPosition: labelPosition
        }, styles),
        children: ({ percentage: percentage, valueText: valueText })=>/*#__PURE__*/ (0, $blcZa$jsxs)((0, $blcZa$Fragment), {
                children: [
                    label && /*#__PURE__*/ (0, $blcZa$jsx)((0, $9afd80978c252040$export$1acdcf5a973a8414), {
                        size: size,
                        labelAlign: "start",
                        labelPosition: labelPosition,
                        staticColor: staticColor,
                        children: label
                    }),
                    label && /*#__PURE__*/ (0, $blcZa$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                        styles: $bb56943300b294c6$var$valueStyles({
                            size: size,
                            labelAlign: 'end',
                            isStaticColor: isStaticColor
                        }),
                        children: valueText
                    }),
                    /*#__PURE__*/ (0, $blcZa$jsx)((0, $5ad421ec19460c48$export$6069cbe61f690103), {
                        children: /*#__PURE__*/ (0, $blcZa$jsx)("div", {
                            className: $bb56943300b294c6$var$trackStyles({
                                isStaticColor: isStaticColor,
                                size: size
                            }),
                            children: /*#__PURE__*/ (0, $blcZa$jsx)("div", {
                                className: $bb56943300b294c6$var$fillStyles({
                                    isStaticColor: isStaticColor,
                                    variant: variant
                                }),
                                style: {
                                    width: percentage + '%'
                                }
                            })
                        })
                    })
                ]
            })
    });
});


export {$bb56943300b294c6$export$8b645da15a96b44f as MeterContext, $bb56943300b294c6$export$62e3ae2a4090b879 as Meter};
//# sourceMappingURL=Meter.mjs.map
