import "./Modal.css";
import {ColorSchemeContext as $9affbfa4e13b9582$export$374e0245597d19a3} from "./Provider.mjs";
import {jsx as $fdAcL$jsx} from "react/jsx-runtime";
import {forwardRef as $fdAcL$forwardRef, useContext as $fdAcL$useContext, useCallback as $fdAcL$useCallback} from "react";
import {useLocale as $fdAcL$useLocale, ModalOverlay as $fdAcL$ModalOverlay, Modal as $fdAcL$Modal} from "react-aria-components";
import {useDOMRef as $fdAcL$useDOMRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 




const $c46d159bd615e407$var$modalOverlayStyles = function anonymous(props) {
    let rules = " ";
    if (props.colorScheme === "dark") rules += ' _pa91';
    else if (props.colorScheme === "light") rules += ' _pb91';
    else if (props.colorScheme === "light dark") rules += ' _pc91';
    else rules += ' _pN79Hzc91';
    rules += ' _Pb91';
    rules += ' Wr91';
    rules += ' _lr91';
    rules += ' _Ar91';
    rules += ' _zr91';
    rules += ' _Bb91';
    rules += ' g891';
    rules += ' sd91';
    rules += ' eb91';
    rules += ' _Ca91';
    if (props.isExiting) rules += ' _Ia91';
    else if (props.isEntering) rules += ' _Ia91';
    rules += ' Yf91';
    if (props.isExiting) rules += ' Xa91';
    else rules += ' Xd91';
    rules += ' _2b91';
    return rules;
};
const $c46d159bd615e407$export$2b77a92f1a5ad772 = /*#__PURE__*/ (0, $fdAcL$forwardRef)(function Modal(props1, ref) {
    let domRef = (0, $fdAcL$useDOMRef)(ref);
    let colorScheme = (0, $fdAcL$useContext)((0, $9affbfa4e13b9582$export$374e0245597d19a3));
    let { locale: locale, direction: direction } = (0, $fdAcL$useLocale)();
    // TODO: should we pass through lang and dir props in RAC?
    let modalRef = (0, $fdAcL$useCallback)((el)=>{
        domRef.current = el;
        if (el) {
            el.lang = locale;
            el.dir = direction;
        }
    }, [
        locale,
        direction,
        domRef
    ]);
    return /*#__PURE__*/ (0, $fdAcL$jsx)((0, $fdAcL$ModalOverlay), {
        ...props1,
        className: (renderProps)=>$c46d159bd615e407$var$modalOverlayStyles({
                ...renderProps,
                colorScheme: colorScheme
            }),
        children: /*#__PURE__*/ (0, $fdAcL$jsx)((0, $fdAcL$Modal), {
            ...props1,
            ref: modalRef,
            className: (renderProps)=>(function anonymous(props) {
                    let rules = " ";
                    rules += ' sd91';
                    rules += ' _ta91';
                    if (props.size === "fullscreenTakeover") rules += ' od91';
                    else rules += ' oe91';
                    if (props.size === "fullscreenTakeover") rules += ' nd91';
                    else rules += ' ne91';
                    if (props.size === "fullscreenTakeover") rules += ' kd91';
                    else rules += ' ke91';
                    if (props.size === "fullscreenTakeover") rules += ' jd91';
                    else rules += ' je91';
                    if (props.size === "fullscreenTakeover") rules += ' Za91';
                    else if (props.size === "fullscreen") rules += ' ZGqsG7b91';
                    else if (props.size === "L") rules += ' Zb4QY491';
                    else if (props.size === "M") rules += ' ZILqIYb91';
                    else if (props.size === "S") rules += ' ZA91';
                    if (props.size === "fullscreenTakeover") rules += ' Fb91';
                    else if (props.size === "fullscreen") rules += ' FGqsG7b91';
                    if (props.size === "fullscreenTakeover") rules += ' Lp91';
                    else if (props.size === "fullscreen") rules += ' Lp91';
                    else rules += ' Lc91';
                    if (props.size === "fullscreenTakeover") rules += ' Ki91';
                    else if (props.size === "fullscreen") rules += ' Ki91';
                    else rules += ' Kc91';
                    rules += ' -Ovbhqd-g_g91';
                    rules += ' gEzkoQe91';
                    if (props.isExiting) rules += ' _Ia91';
                    else if (props.isEntering) rules += ' _Ia91';
                    if (props.isEntering) {
                        rules += ' -_8PloMd-w91';
                        rules += ' __Ya91';
                    }
                    rules += ' YmenWad91';
                    if (props.isExiting) rules += ' Xa91';
                    else rules += ' Xd91';
                    rules += ' _2b91';
                    if (props.isExiting) rules += ' _1a91';
                    else rules += ' _1b91';
                    rules += ' _Lf91';
                    rules += ' _Mb91';
                    rules += ' Oj91';
                    return rules;
                })({
                    ...renderProps,
                    size: props1.size
                })
        })
    });
});


export {$c46d159bd615e407$export$2b77a92f1a5ad772 as Modal};
//# sourceMappingURL=Modal.mjs.map
