import "./Radio.css";
import {CenterBaseline as $1f4b04be3f24aae3$export$768dac55bb57081d} from "./CenterBaseline.mjs";
import {FormContext as $9b916426527cebe7$export$c24727297075ec6a, useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {jsx as $Ipfg8$jsx, jsxs as $Ipfg8$jsxs, Fragment as $Ipfg8$Fragment} from "react/jsx-runtime";
import {Radio as $Ipfg8$Radio} from "react-aria-components";
import {forwardRef as $Ipfg8$forwardRef, useRef as $Ipfg8$useRef, useContext as $Ipfg8$useContext} from "react";
import {useFocusableRef as $Ipfg8$useFocusableRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $1ae2870af9a200f8$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let position = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "_P") position = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd91';
    if (!position) rules += ' _Pc91';
    rules += ' qf91';
    rules += ' ea91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isDisabled) {
        rules += ' pp91';
        rules += ' plc91';
    } else {
        if (props.isPressed) rules += ' po91';
        else if (props.isFocusVisible) rules += ' po91';
        else if (props.isHovered) rules += ' po91';
        else rules += ' pt91';
    }
    rules += ' Yc91';
    rules += ' Xb91';
    rules += ' _2b91';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr91';
    }
    rules += ' __ca91';
    return rules;
};
const $1ae2870af9a200f8$var$circle = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kd91';
    if (props.size === "XL") rules += ' Zm91';
    else if (props.size === "L") rules += ' Zl91';
    else if (props.size === "S") rules += ' Zk91';
    else rules += ' Zu91';
    rules += ' FRuFGYc91';
    rules += ' _va91';
    rules += ' sd91';
    rules += ' eb91';
    rules += ' _Ca91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    rules += ' _jf91';
    rules += ' _oa91';
    if (props.isSelected) rules += ' _kUXU7p91';
    else rules += ' _k7m7Gv91';
    if (props.isSelected) rules += ' hUXU7p91';
    else rules += ' h7m7Gv91';
    if (props.isSelected) rules += ' mUXU7p91';
    else rules += ' m7m7Gv91';
    if (props.isSelected) rules += ' lUXU7p91';
    else rules += ' l7m7Gv91';
    rules += ' _yb91';
    rules += ' gX91';
    if (props.isDisabled) {
        rules += ' io91';
        rules += ' ilc91';
    } else if (props.isInvalid) {
        if (props.isPressed) rules += ' im91';
        else if (props.isFocusVisible) rules += ' im91';
        else if (props.isHovered) rules += ' im91';
        else rules += ' ip91';
        rules += ' ile91';
    } else if (props.isSelected) {
        if (props.isEmphasized) {
            if (props.isPressed) rules += ' iu91';
            else if (props.isFocusVisible) rules += ' iu91';
            else if (props.isHovered) rules += ' iu91';
            else rules += ' iw91';
        }
        rules += ' ild91';
    } else {
        if (props.isPressed) rules += ' in91';
        else if (props.isFocusVisible) rules += ' in91';
        else if (props.isHovered) rules += ' in91';
        else rules += ' iv91';
        rules += ' ila91';
    }
    if (props.size === "XL") rules += ' -F_-Fn91';
    else if (props.size === "L") rules += ' -F_-Fm91';
    else if (props.size === "S") rules += ' -F_-Fl91';
    else rules += ' -F_-Ft91';
    return rules;
};
const $1ae2870af9a200f8$export$d7b12c4107be0d61 = /*#__PURE__*/ (0, $Ipfg8$forwardRef)(function Radio(props, ref) {
    let { children: children, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let circleRef = (0, $Ipfg8$useRef)(null);
    let inputRef = (0, $Ipfg8$useRef)(null);
    let domRef = (0, $Ipfg8$useFocusableRef)(ref, inputRef);
    let isInForm = !!(0, $Ipfg8$useContext)((0, $9b916426527cebe7$export$c24727297075ec6a));
    let { size: size = 'M', ...allProps } = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    return /*#__PURE__*/ (0, $Ipfg8$jsx)((0, $Ipfg8$Radio), {
        ...allProps,
        ref: domRef,
        inputRef: inputRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $1ae2870af9a200f8$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: size
            }, allProps.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $Ipfg8$jsxs)((0, $Ipfg8$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $Ipfg8$jsx)((0, $1f4b04be3f24aae3$export$768dac55bb57081d), {
                        children: /*#__PURE__*/ (0, $Ipfg8$jsx)("div", {
                            ref: circleRef,
                            style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(circleRef)(renderProps),
                            className: $1ae2870af9a200f8$var$circle({
                                ...renderProps,
                                isEmphasized: allProps.isEmphasized,
                                isSelected: renderProps.isSelected,
                                size: size
                            })
                        })
                    }),
                    children
                ]
            })
    });
});


export {$1ae2870af9a200f8$export$d7b12c4107be0d61 as Radio};
//# sourceMappingURL=Radio.mjs.map
