require("./RadioGroup.css");
var $a0b996a550bb0891$exports = require("./Field.cjs");
var $bfa4962d90c8af48$exports = require("./Form.cjs");
var $ac757a4c2bd72aee$exports = require("../icons/useSpectrumContextProps.cjs");
var $ijW5U$reactjsxruntime = require("react/jsx-runtime");
var $ijW5U$reactariacomponents = require("react-aria-components");
var $ijW5U$react = require("react");
var $ijW5U$reactspectrumutils = require("@react-spectrum/utils");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "RadioGroupContext", () => $10d624be839a1d01$export$a79eda4ff50e30b6);
$parcel$export(module.exports, "RadioGroup", () => $10d624be839a1d01$export$a98f0dcb43a68a25);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 






const $10d624be839a1d01$export$a79eda4ff50e30b6 = /*#__PURE__*/ (0, $ijW5U$react.createContext)(null);
const $10d624be839a1d01$export$a98f0dcb43a68a25 = /*#__PURE__*/ (0, $ijW5U$react.forwardRef)(function RadioGroup(props, ref) {
    [props, ref] = (0, $ac757a4c2bd72aee$exports.useSpectrumContextProps)(props, ref, $10d624be839a1d01$export$a79eda4ff50e30b6);
    let formContext = (0, $ijW5U$react.useContext)((0, $bfa4962d90c8af48$exports.FormContext));
    props = (0, $bfa4962d90c8af48$exports.useFormProps)(props);
    let domRef = (0, $ijW5U$reactspectrumutils.useDOMRef)(ref);
    let { label: label, description: description, errorMessage: errorMessage, children: children, isEmphasized: isEmphasized, labelPosition: labelPosition = 'top', labelAlign: labelAlign = 'start', necessityIndicator: necessityIndicator = 'icon', size: size = 'M', orientation: orientation = 'vertical', UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style, ...groupProps } = props;
    return /*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsx)((0, $ijW5U$reactariacomponents.RadioGroup), {
        ...groupProps,
        ref: domRef,
        style: UNSAFE_style,
        className: UNSAFE_className + function anonymous(props, overrides) {
            let rules = " ";
            let gridColumnStart = false;
            let gridColumnEnd = false;
            let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
            for (let p of matches){
                if (p[1] === "z") gridColumnStart = true;
                if (p[1] === "y") gridColumnEnd = true;
                rules += p[0];
            }
            rules += ' se91';
            if (props.isInForm) {
                if (!gridColumnStart) rules += ' z2mU91';
            }
            if (props.isInForm) {
                if (props.labelPosition === "side") {
                    if (!gridColumnEnd) rules += ' yvoofG91';
                }
            }
            if (props.isInForm) rules += ' DLwlgod91';
            else {
                if (props.labelPosition === "side") rules += ' DPlN5qb91';
                else if (props.labelPosition === "top") rules += ' DM8Mfn91';
            }
            if (props.labelPosition === "side") rules += ' EPlN5qb91';
            else if (props.labelPosition === "top") rules += ' E4w1sLc91';
            if (props.labelPosition === "side") rules += ' CbRM95c91';
            else if (props.labelPosition === "top") rules += ' Cxaocre91';
            if (props.size === "XL") {
                rules += ' vg91';
                rules += ' vsj91';
            } else if (props.size === "L") {
                rules += ' vp91';
                rules += ' vsh91';
            } else if (props.size === "S") {
                rules += ' vb91';
                rules += ' vse91';
            } else if (props.size === "XS") {
                rules += ' va91';
                rules += ' vsc91';
            } else {
                rules += ' vd91';
                rules += ' vsf91';
            }
            rules += ' ea91';
            rules += ' _Fa91';
            rules += ' _Ffb91';
            if (props.size === "XL") rules += ' -BhX7R-Fz91';
            else if (props.size === "L") rules += ' -BhX7R-Fv91';
            else if (props.size === "S") rules += ' -BhX7R-Fp91';
            else if (props.size === "XS") rules += ' -BhX7R-Fn91';
            else rules += ' -BhX7R-Fx91';
            rules += ' -AJjOLd-UVxyPec91';
            rules += ' qg91';
            rules += ' __ca91';
            return rules;
        }({
            size: size,
            labelPosition: labelPosition,
            isInForm: !!formContext
        }, props.styles),
        children: ({ isDisabled: isDisabled, isInvalid: isInvalid })=>/*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsxs)((0, $ijW5U$reactjsxruntime.Fragment), {
                children: [
                    /*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.FieldLabel), {
                        isDisabled: isDisabled,
                        isRequired: props.isRequired,
                        size: size,
                        labelPosition: labelPosition,
                        labelAlign: labelAlign,
                        necessityIndicator: necessityIndicator,
                        contextualHelp: props.contextualHelp,
                        children: label
                    }),
                    /*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsx)("div", {
                        className: function anonymous(props) {
                            let rules = " ";
                            rules += ' zXcEWr91';
                            rules += ' yXcEWr91';
                            rules += ' BXcEWr91';
                            rules += ' AXcEWr91';
                            rules += ' sd91';
                            if (props.orientation === "horizontal") rules += ' _tc91';
                            else if (props.orientation === "vertical") rules += ' _ta91';
                            rules += ' _wb91';
                            rules += ' ql91';
                            rules += ' UgOnRt91';
                            return rules;
                        }({
                            orientation: orientation
                        }),
                        children: /*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsx)((0, $bfa4962d90c8af48$exports.FormContext).Provider, {
                            value: {
                                ...formContext,
                                size: size,
                                isEmphasized: isEmphasized
                            },
                            children: children
                        })
                    }),
                    /*#__PURE__*/ (0, $ijW5U$reactjsxruntime.jsx)((0, $a0b996a550bb0891$exports.HelpText), {
                        size: size,
                        isDisabled: isDisabled,
                        isInvalid: isInvalid,
                        description: description,
                        showErrorIcon: true,
                        children: errorMessage
                    })
                ]
            })
    });
});


//# sourceMappingURL=RadioGroup.cjs.map
