import "./SegmentedControl.css";
import {centerBaseline as $1f4b04be3f24aae3$export$9d7e2342a7e53afa} from "./CenterBaseline.mjs";
import {IconContext as $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed} from "../icons/Icon.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {Text as $8e847109a6ab556d$export$5f1af8db9871e1d6, TextContext as $8e847109a6ab556d$export$9afb8bc826b033ea} from "./Content.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $ae3Tm$jsx, jsxs as $ae3Tm$jsxs, Fragment as $ae3Tm$Fragment} from "react/jsx-runtime";
import {ToggleButtonGroup as $ae3Tm$ToggleButtonGroup, ToggleGroupStateContext as $ae3Tm$ToggleGroupStateContext, Provider as $ae3Tm$Provider, ToggleButton as $ae3Tm$ToggleButton, TextContext as $ae3Tm$TextContext, DEFAULT_SLOT as $ae3Tm$DEFAULT_SLOT} from "react-aria-components";
import {createContext as $ae3Tm$createContext, forwardRef as $ae3Tm$forwardRef, useRef as $ae3Tm$useRef, useContext as $ae3Tm$useContext, useCallback as $ae3Tm$useCallback} from "react";
import {useDOMRef as $ae3Tm$useDOMRef, useFocusableRef as $ae3Tm$useFocusableRef, useMediaQuery as $ae3Tm$useMediaQuery} from "@react-spectrum/utils";
import {useLayoutEffect as $ae3Tm$useLayoutEffect} from "@react-aria/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 









const $c679c2152e03f8bf$export$c083c44d8a07dd35 = /*#__PURE__*/ (0, $ae3Tm$createContext)(null);
const $c679c2152e03f8bf$var$segmentedControl = function anonymous(props, overrides) {
    let rules = " ";
    let width = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "Z") width = true;
        rules += p[0];
    }
    rules += ' sd91';
    rules += ' Ub91';
    rules += ' qb91';
    rules += ' gH91';
    rules += ' ob91';
    rules += ' nb91';
    rules += ' kb91';
    rules += ' jb91';
    if (!width) rules += ' ZJ91';
    return rules;
};
const $c679c2152e03f8bf$var$controlItem = function anonymous(props, overrides) {
    let rules = " ";
    let minWidth = false;
    let position = false;
    let flexGrow = false;
    let flexBasis = false;
    let flexShrink = false;
    let zIndex = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "N") minWidth = true;
        if (p[1] === "_P") position = true;
        if (p[1] === "_u") flexGrow = true;
        if (p[1] === "_s") flexBasis = true;
        if (p[1] === "_v") flexShrink = true;
        if (p[1] === "_9") zIndex = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kd91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isDisabled) rules += ' pp91';
    else if (props.isSelected) {
        if (props.isPressed) rules += ' po91';
        else if (props.isFocusVisible) rules += ' po91';
        else if (props.isHovered) rules += ' po91';
        else rules += ' pt91';
    } else {
        if (props.isPressed) rules += ' pt91';
        else if (props.isFocusVisible) rules += ' pt91';
        else if (props.isHovered) rules += ' pt91';
        else rules += ' pv91';
    }
    if (props.isSelected) rules += ' ple91';
    else if (props.isDisabled) rules += ' plc91';
    else rules += ' plb91';
    rules += ' sd91';
    rules += ' eb91';
    rules += ' _oa91';
    rules += ' Sv91';
    rules += ' SgLWx3bd91';
    rules += ' Rv91';
    rules += ' RgLWx3bd91';
    if (props.size === "XL") {
        if (!minWidth) rules += ' Nl91';
    } else if (props.size === "L") {
        if (!minWidth) rules += ' Nj91';
    } else if (props.size === "S") {
        if (!minWidth) rules += ' Nf91';
    } else if (props.size === "XS") {
        if (!minWidth) rules += ' Ne91';
    } else if (!minWidth) rules += ' Nk91';
    if (props.size === "XL") rules += ' -SFnbic-_JaP8ec91';
    else if (props.size === "L") rules += ' -SFnbic-_J0K2hn91';
    else if (props.size === "S") rules += ' -SFnbic-_JJOW22b91';
    else if (props.size === "XS") rules += ' -SFnbic-_JICefdd91';
    else rules += ' -SFnbic-_Jb91';
    rules += ' -Bu7z1c-ob91';
    rules += ' oj91';
    rules += ' nj91';
    rules += ' kj91';
    rules += ' jj91';
    rules += ' qc91';
    rules += ' qsd91';
    rules += ' -Qg41Lb-IAxCW0c91';
    rules += ' -Qg41Lb-gLWx3bIy91';
    rules += ' FRuFGYc91';
    rules += ' _Ca91';
    if (!position) rules += ' _Pc91';
    rules += ' _yb91';
    if (props.isJustified) {
        if (!flexGrow) rules += ' _ub91';
    }
    if (props.isJustified) {
        if (!flexBasis) rules += ' _sb91';
    }
    if (!flexShrink) rules += ' _va91';
    rules += ' _7c91';
    rules += ' __ca91';
    rules += ' _4c91';
    rules += ' g991';
    rules += ' _je91';
    rules += ' -_8sjo0b-t5ZbAob91';
    if (props.isSelected) {
        if (!zIndex) rules += ' _9b91';
    } else if (!zIndex) rules += ' _9c91';
    if (props.size === "XL") rules += ' -F_-Fz91';
    else if (props.size === "L") rules += ' -F_-Fv91';
    else if (props.size === "S") rules += ' -F_-Fp91';
    else if (props.size === "XS") rules += ' -F_-Fn91';
    else rules += ' -F_-Fx91';
    return rules;
};
const $c679c2152e03f8bf$var$slider = function anonymous(props) {
    let rules = " ";
    rules += ' gX91';
    if (props.isDisabled) rules += ' gld91';
    else rules += ' gle91';
    rules += ' _Er91';
    rules += ' Za91';
    rules += ' Fb91';
    rules += ' _Pa91';
    rules += ' _oa91';
    rules += ' _jf91';
    rules += ' _kc91';
    rules += ' hc91';
    rules += ' mc91';
    rules += ' lc91';
    if (props.isDisabled) rules += ' iq91';
    else rules += ' in91';
    if (props.isDisabled) rules += ' ilc91';
    else rules += ' ild91';
    rules += ' oc91';
    rules += ' nc91';
    rules += ' kc91';
    rules += ' jc91';
    return rules;
};
const $c679c2152e03f8bf$var$InternalSegmentedControlContext = /*#__PURE__*/ (0, $ae3Tm$createContext)({});
const $c679c2152e03f8bf$export$668709c620d0b8e2 = /*#__PURE__*/ (0, $ae3Tm$forwardRef)(function SegmentedControl(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $c679c2152e03f8bf$export$c083c44d8a07dd35);
    let { defaultSelectedKey: defaultSelectedKey, selectedKey: selectedKey, onSelectionChange: onSelectionChange } = props;
    let domRef = (0, $ae3Tm$useDOMRef)(ref);
    let prevRef = (0, $ae3Tm$useRef)(null);
    let currentSelectedRef = (0, $ae3Tm$useRef)(null);
    let onChange = (values)=>{
        if (currentSelectedRef.current) prevRef.current = currentSelectedRef?.current.getBoundingClientRect();
        if (onSelectionChange) {
            let firstKey = values.values().next().value;
            if (firstKey != null) onSelectionChange(firstKey);
        }
    };
    return /*#__PURE__*/ (0, $ae3Tm$jsx)((0, $ae3Tm$ToggleButtonGroup), {
        ...props,
        selectedKeys: selectedKey != null ? [
            selectedKey
        ] : undefined,
        defaultSelectedKeys: defaultSelectedKey != null ? [
            defaultSelectedKey
        ] : undefined,
        disallowEmptySelection: true,
        ref: domRef,
        orientation: "horizontal",
        style: props.UNSAFE_style,
        onSelectionChange: onChange,
        className: (props.UNSAFE_className || '') + $c679c2152e03f8bf$var$segmentedControl(null, props.styles),
        "aria-label": props['aria-label'],
        children: /*#__PURE__*/ (0, $ae3Tm$jsx)($c679c2152e03f8bf$var$DefaultSelectionTracker, {
            defaultValue: defaultSelectedKey,
            value: selectedKey,
            prevRef: prevRef,
            currentSelectedRef: currentSelectedRef,
            isJustified: props.isJustified,
            children: props.children
        })
    });
});
function $c679c2152e03f8bf$var$DefaultSelectionTracker(props) {
    let state = (0, $ae3Tm$useContext)((0, $ae3Tm$ToggleGroupStateContext));
    let isRegistered = (0, $ae3Tm$useRef)(!(props.defaultValue == null && props.value == null));
    // default select the first available item
    let register = (0, $ae3Tm$useCallback)((value)=>{
        if (state && !isRegistered.current) {
            isRegistered.current = true;
            state.toggleKey(value);
        }
    }, []);
    return /*#__PURE__*/ (0, $ae3Tm$jsx)((0, $ae3Tm$Provider), {
        values: [
            [
                $c679c2152e03f8bf$var$InternalSegmentedControlContext,
                {
                    register: register,
                    prevRef: props.prevRef,
                    currentSelectedRef: props.currentSelectedRef,
                    isJustified: props.isJustified
                }
            ]
        ],
        children: props.children
    });
}
const $c679c2152e03f8bf$export$4fc12f2742e8cf3f = /*#__PURE__*/ (0, $ae3Tm$forwardRef)(function SegmentedControlItem(props, ref) {
    let domRef = (0, $ae3Tm$useFocusableRef)(ref);
    let divRef = (0, $ae3Tm$useRef)(null);
    let { register: register, prevRef: prevRef, currentSelectedRef: currentSelectedRef, isJustified: isJustified } = (0, $ae3Tm$useContext)($c679c2152e03f8bf$var$InternalSegmentedControlContext);
    let state = (0, $ae3Tm$useContext)((0, $ae3Tm$ToggleGroupStateContext));
    let isSelected = state?.selectedKeys.has(props.id);
    // do not apply animation if a user has the prefers-reduced-motion setting
    let reduceMotion = (0, $ae3Tm$useMediaQuery)('(prefers-reduced-motion: reduce)');
    (0, $ae3Tm$useLayoutEffect)(()=>{
        register?.(props.id);
    }, []);
    (0, $ae3Tm$useLayoutEffect)(()=>{
        if (isSelected && prevRef?.current && currentSelectedRef?.current && !reduceMotion) {
            let currentItem = currentSelectedRef?.current.getBoundingClientRect();
            let deltaX = prevRef?.current.left - currentItem?.left;
            currentSelectedRef.current.animate([
                {
                    transform: `translateX(${deltaX}px)`,
                    width: `${prevRef?.current.width}px`
                },
                {
                    transform: 'translateX(0px)',
                    width: `${currentItem.width}px`
                }
            ], {
                duration: 200,
                easing: 'ease-out'
            });
            prevRef.current = null;
        }
    }, [
        isSelected,
        reduceMotion
    ]);
    return /*#__PURE__*/ (0, $ae3Tm$jsx)((0, $ae3Tm$ToggleButton), {
        ...props,
        ref: domRef,
        style: props.UNSAFE_style,
        className: (renderProps)=>(props.UNSAFE_className || '') + $c679c2152e03f8bf$var$controlItem({
                ...renderProps,
                isJustified: isJustified
            }, props.styles),
        children: ({ isSelected: isSelected, isPressed: isPressed, isDisabled: isDisabled })=>/*#__PURE__*/ (0, $ae3Tm$jsxs)((0, $ae3Tm$Fragment), {
                children: [
                    isSelected && /*#__PURE__*/ (0, $ae3Tm$jsx)("div", {
                        className: $c679c2152e03f8bf$var$slider({
                            isDisabled: isDisabled
                        }),
                        ref: currentSelectedRef
                    }),
                    /*#__PURE__*/ (0, $ae3Tm$jsx)((0, $ae3Tm$Provider), {
                        values: [
                            [
                                (0, $ac8c32e6775ddd1f$export$a49f528ae1a4d0ed),
                                {
                                    render: (0, $1f4b04be3f24aae3$export$9d7e2342a7e53afa)({
                                        slot: 'icon',
                                        styles: " _Ja91 _va91"
                                    })
                                }
                            ],
                            [
                                (0, $ae3Tm$TextContext),
                                {
                                    slots: {
                                        [(0, $ae3Tm$DEFAULT_SLOT)]: {}
                                    }
                                }
                            ],
                            [
                                (0, $8e847109a6ab556d$export$9afb8bc826b033ea),
                                {
                                    styles: " _Jb91 _Nc91 Pc91 _Yb91 _7c91"
                                }
                            ]
                        ],
                        children: /*#__PURE__*/ (0, $ae3Tm$jsx)("div", {
                            ref: divRef,
                            style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(divRef)({
                                isPressed: isPressed
                            }),
                            className: " sd91 Uc91 Usd91 qc91 qsd91 Yd91 Xb91 _2b91 eb91 Na91",
                            children: typeof props.children === 'string' ? /*#__PURE__*/ (0, $ae3Tm$jsx)((0, $8e847109a6ab556d$export$5f1af8db9871e1d6), {
                                children: props.children
                            }) : props.children
                        })
                    })
                ]
            })
    });
});


export {$c679c2152e03f8bf$export$c083c44d8a07dd35 as SegmentedControlContext, $c679c2152e03f8bf$export$668709c620d0b8e2 as SegmentedControl, $c679c2152e03f8bf$export$4fc12f2742e8cf3f as SegmentedControlItem};
//# sourceMappingURL=SegmentedControl.mjs.map
