import "./Switch.css";
import {CenterBaseline as $1f4b04be3f24aae3$export$768dac55bb57081d} from "./CenterBaseline.mjs";
import {FormContext as $9b916426527cebe7$export$c24727297075ec6a, useFormProps as $9b916426527cebe7$export$a6b5be5c6b451665} from "./Form.mjs";
import {pressScale as $10ea7662e51a285b$export$56e8cba416805d8d} from "./pressScale.mjs";
import {useSpectrumContextProps as $5ce63c423902f47d$export$764f6146fadd77f7} from "../icons/useSpectrumContextProps.mjs";
import {jsx as $8aRsI$jsx, jsxs as $8aRsI$jsxs, Fragment as $8aRsI$Fragment} from "react/jsx-runtime";
import {Switch as $8aRsI$Switch} from "react-aria-components";
import {createContext as $8aRsI$createContext, forwardRef as $8aRsI$forwardRef, useRef as $8aRsI$useRef, useContext as $8aRsI$useContext} from "react";
import {useFocusableRef as $8aRsI$useFocusableRef} from "@react-spectrum/utils";

/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 







const $8926b17b75ae985d$export$8699e3b644d5a28a = /*#__PURE__*/ (0, $8aRsI$createContext)(null);
const $8926b17b75ae985d$var$wrapper = function anonymous(props, overrides) {
    let rules = " ";
    let width = false;
    let gridColumnStart = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "Z") width = true;
        if (p[1] === "z") gridColumnStart = true;
        rules += p[0];
    }
    rules += ' sd91';
    rules += ' qf91';
    rules += ' ea91';
    if (!width) rules += ' ZJ91';
    if (props.size === "XL") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "L") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "S") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else if (props.size === "XS") {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    } else {
        rules += ' ug91';
        rules += ' uch91';
        rules += ' udi91';
        rules += ' uea91';
        rules += ' ugb91';
        rules += ' uhd91';
        rules += ' uje91';
        rules += ' uic91';
    }
    if (props.size === "XL") {
        rules += ' vg91';
        rules += ' vsj91';
    } else if (props.size === "L") {
        rules += ' vp91';
        rules += ' vsh91';
    } else if (props.size === "S") {
        rules += ' vb91';
        rules += ' vse91';
    } else if (props.size === "XS") {
        rules += ' va91';
        rules += ' vsc91';
    } else {
        rules += ' vd91';
        rules += ' vsf91';
    }
    if (props.size === "XL") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "L") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "S") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else if (props.size === "XS") {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    } else {
        rules += ' wb91';
        rules += ' xb91';
        rules += ' _xa91';
    }
    if (props.size === "XL") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "L") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "S") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else if (props.size === "XS") {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    } else {
        rules += ' _Fa91';
        rules += ' _Ffb91';
    }
    if (props.isDisabled) {
        rules += ' pp91';
        rules += ' plc91';
    } else {
        if (props.isPressed) rules += ' po91';
        else if (props.isFocusVisible) rules += ' po91';
        else if (props.isHovered) rules += ' po91';
        else rules += ' pt91';
    }
    rules += ' Yc91';
    rules += ' Xb91';
    rules += ' _2b91';
    if (props.isInForm) {
        if (!gridColumnStart) rules += ' zhJUGr91';
    }
    rules += ' __ca91';
    return rules;
};
const $8926b17b75ae985d$var$track = function anonymous(props) {
    let rules = " ";
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kd91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    rules += ' -ERv7Xb-ZmDIzbc91';
    if (props.size === "XL") rules += ' -LsrJQc-Fn91';
    else if (props.size === "L") rules += ' -LsrJQc-Fm91';
    else if (props.size === "S") rules += ' -LsrJQc-Fl91';
    else rules += ' -LsrJQc-Ft91';
    rules += ' ZAkyXj91';
    rules += ' Fpk5ROc91';
    rules += ' _oa91';
    rules += ' _kc91';
    rules += ' hc91';
    rules += ' mc91';
    rules += ' lc91';
    rules += ' _jf91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' _yb91';
    if (props.isSelected) rules += ' iA91';
    else if (props.isDisabled) {
        rules += ' io91';
        rules += ' ilc91';
    } else {
        if (props.isPressed) rules += ' in91';
        else if (props.isFocusVisible) rules += ' in91';
        else if (props.isHovered) rules += ' in91';
        else rules += ' iv91';
        rules += ' ila91';
    }
    if (props.isSelected) {
        if (props.isDisabled) {
            rules += ' gw91';
            rules += ' gld91';
        } else {
            if (props.isEmphasized) {
                if (props.isPressed) rules += ' gY91';
                else if (props.isFocusVisible) rules += ' gY91';
                else if (props.isHovered) rules += ' gY91';
                else rules += ' g391';
            } else {
                if (props.isPressed) rules += ' gu91';
                else if (props.isFocusVisible) rules += ' gu91';
                else if (props.isHovered) rules += ' gu91';
                else rules += ' g091';
            }
            rules += ' gle91';
        }
    } else rules += ' gX91';
    return rules;
};
const $8926b17b75ae985d$var$handle = function anonymous(props) {
    let rules = " ";
    rules += ' Fb91';
    rules += ' fa91';
    rules += ' og91';
    rules += ' ng91';
    rules += ' kg91';
    rules += ' jg91';
    if (props.isSelected) rules += ' gX91';
    else if (props.isDisabled) {
        rules += ' gw91';
        rules += ' gld91';
    } else {
        if (props.isPressed) rules += ' gu91';
        else if (props.isFocusVisible) rules += ' gu91';
        else if (props.isHovered) rules += ' gu91';
        else rules += ' g091';
    }
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    return rules;
};
// Use an inline style to calculate the transform so we can combine it with the press scale.
const $8926b17b75ae985d$var$transformStyle = ({ isSelected: isSelected })=>({
        // In the default state, the handle is 8px smaller than the track. When selected it grows to 6px smaller than the track.
        // Normally this could be calculated as a scale transform with (trackHeight - 8px) / trackHeight, however,
        // CSS does not allow division with units. To solve this we use a 3d perspective transform. Perspective is the
        // distance from the Z=0 plane to the viewer. Since we want to scale the handle by a fixed amount and we cannot divide
        // by a value with units, we can set the Z translation to a fixed amount and change the perspective in order to achieve
        // the desired effect. Given the following formula:
        //
        //   scale = perspective / (perspective - translateZ)
        //
        // and desired scale factors (accounting for the 2px border on each side of the track):
        //
        //   defaultScale = (trackHeight - 8px) / (trackHeight - 4px)
        //   selectedScale = (trackHeight - 6px) / (trackHeight - 4px)
        //
        // we can solve for the perspective needed in each case where translateZ is hard coded to -4px:
        //
        //    defaultPerspective = trackHeight - 8px
        //    selectedPerspective = 2 * (trackHeight - 6px)
        transform: isSelected ? 'translateX(calc(var(--trackWidth) - 100% - 4px)) perspective(calc(2 * (var(--trackHeight) - 6px))) translateZ(-4px)' : 'perspective(calc(var(--trackHeight) - 8px)) translateZ(-4px)'
    });
const $8926b17b75ae985d$export$b5d5cf8927ab7262 = /*#__PURE__*/ (0, $8aRsI$forwardRef)(function Switch(props, ref) {
    [props, ref] = (0, $5ce63c423902f47d$export$764f6146fadd77f7)(props, ref, $8926b17b75ae985d$export$8699e3b644d5a28a);
    let { children: children, UNSAFE_className: UNSAFE_className = '', UNSAFE_style: UNSAFE_style } = props;
    let inputRef = (0, $8aRsI$useRef)(null);
    let domRef = (0, $8aRsI$useFocusableRef)(ref, inputRef);
    let handleRef = (0, $8aRsI$useRef)(null);
    let isInForm = !!(0, $8aRsI$useContext)((0, $9b916426527cebe7$export$c24727297075ec6a));
    props = (0, $9b916426527cebe7$export$a6b5be5c6b451665)(props);
    return /*#__PURE__*/ (0, $8aRsI$jsx)((0, $8aRsI$Switch), {
        ...props,
        ref: domRef,
        inputRef: inputRef,
        style: UNSAFE_style,
        className: (renderProps)=>UNSAFE_className + $8926b17b75ae985d$var$wrapper({
                ...renderProps,
                isInForm: isInForm,
                size: props.size || 'M'
            }, props.styles),
        children: (renderProps)=>/*#__PURE__*/ (0, $8aRsI$jsxs)((0, $8aRsI$Fragment), {
                children: [
                    /*#__PURE__*/ (0, $8aRsI$jsx)((0, $1f4b04be3f24aae3$export$768dac55bb57081d), {
                        children: /*#__PURE__*/ (0, $8aRsI$jsx)("div", {
                            className: $8926b17b75ae985d$var$track({
                                ...renderProps,
                                size: props.size || 'M',
                                isEmphasized: props.isEmphasized
                            }),
                            children: /*#__PURE__*/ (0, $8aRsI$jsx)("div", {
                                ref: handleRef,
                                style: (0, $10ea7662e51a285b$export$56e8cba416805d8d)(handleRef, $8926b17b75ae985d$var$transformStyle)(renderProps),
                                className: $8926b17b75ae985d$var$handle(renderProps)
                            })
                        })
                    }),
                    children
                ]
            })
    });
});


export {$8926b17b75ae985d$export$8699e3b644d5a28a as SwitchContext, $8926b17b75ae985d$export$b5d5cf8927ab7262 as Switch};
//# sourceMappingURL=Switch.mjs.map
