require("./TreeView.css");
var $7a26131f6144af2b$exports = require("./ActionButtonGroup.cjs");
var $e5a758dd286599f2$exports = require("./ActionMenu.cjs");
var $e991cbcdf82ced71$exports = require("./CenterBaseline.cjs");
var $af04e099a53d3e85$exports = require("./Checkbox.cjs");
var $1df9f1c9262ce5df$exports = require("./Chevron.cjs");
var $bde97c91243ed164$exports = require("../icons/Icon.cjs");
var $6367bc87eb7d24ad$exports = require("./Content.cjs");
var $ee7b4c497f520c08$exports = require("./utils.cjs");
var $6K4Mt$reactjsxruntime = require("react/jsx-runtime");
var $6K4Mt$reactariacomponents = require("react-aria-components");
var $6K4Mt$react = require("react");
var $6K4Mt$reactspectrumutils = require("@react-spectrum/utils");
var $6K4Mt$reactaria = require("react-aria");


function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}

$parcel$export(module.exports, "TreeViewItem", () => $8a2a97a0cb171e69$export$6e77ea6719814e9c);
$parcel$export(module.exports, "TreeViewItemContent", () => $8a2a97a0cb171e69$export$9a5779ed3fade674);
$parcel$export(module.exports, "TreeView", () => $8a2a97a0cb171e69$export$6940b0d9c820eca7);
/*
 * Copyright 2024 Adobe. All rights reserved.
 * This file is licensed to you under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. You may obtain a copy
 * of the License at http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR REPRESENTATIONS
 * OF ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */ 












const $8a2a97a0cb171e69$var$TreeRendererContext = /*#__PURE__*/ (0, $6K4Mt$react.createContext)({});
let $8a2a97a0cb171e69$var$InternalTreeContext = /*#__PURE__*/ (0, $6K4Mt$react.createContext)({});
// TODO: the below is needed so the borders of the top and bottom row isn't cut off if the TreeView is wrapped within a container by always reserving the 2px needed for the
// keyboard focus ring. Perhaps find a different way of rendering the outlines since the top of the item doesn't
// scroll into view due to how the ring is offset. Alternatively, have the tree render the top/bottom outline like it does in Listview
const $8a2a97a0cb171e69$var$tree = function anonymous(props, overrides) {
    let rules = " ";
    let minHeight = false;
    let minWidth = false;
    let width = false;
    let height = false;
    let matches = (overrides || '').matchAll(/(?:^|\s)(J|G|I|H|_u|_v|_s|__A|_d|_J|z|y|B|A|_P|_9|W|_l|_A|_z|Z|N|L|F|M|K)[^\s]+/g);
    for (let p of matches){
        if (p[1] === "M") minHeight = true;
        if (p[1] === "N") minWidth = true;
        if (p[1] === "Z") width = true;
        if (p[1] === "F") height = true;
        rules += p[0];
    }
    if (props.isFocusVisible) rules += ' _Lf91';
    else rules += ' _Le91';
    rules += ' Oh91';
    rules += ' _Mc91';
    rules += ' _Kb91';
    rules += ' _4c91';
    if (!minHeight) rules += ' Ma91';
    if (!minWidth) rules += ' Na91';
    if (!width) rules += ' Za91';
    if (!height) rules += ' Fb91';
    rules += ' _Na91';
    rules += ' Pa91';
    rules += ' _oa91';
    if (props.isEmpty) rules += ' _Ca91';
    if (props.isEmpty) rules += ' eb91';
    rules += ' -lPUMEc-Zu91';
    return rules;
};
function $8a2a97a0cb171e69$var$TreeView(props, ref) {
    let { children: children, isDetached: isDetached, isEmphasized: isEmphasized, UNSAFE_className: UNSAFE_className, UNSAFE_style: UNSAFE_style } = props;
    let scale = (0, $ee7b4c497f520c08$exports.useScale)();
    let renderer;
    if (typeof children === 'function') renderer = children;
    let domRef = (0, $6K4Mt$reactspectrumutils.useDOMRef)(ref);
    return /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.Virtualizer), {
        layout: (0, $6K4Mt$reactariacomponents.ListLayout),
        layoutOptions: {
            rowHeight: scale === 'large' ? 50 : 40,
            gap: isDetached ? 2 : 0
        },
        children: /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)($8a2a97a0cb171e69$var$TreeRendererContext.Provider, {
            value: {
                renderer: renderer
            },
            children: /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)($8a2a97a0cb171e69$var$InternalTreeContext.Provider, {
                value: {
                    isDetached: isDetached,
                    isEmphasized: isEmphasized
                },
                children: /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.Tree), {
                    ...props,
                    style: UNSAFE_style,
                    className: (renderProps)=>(UNSAFE_className ?? '') + $8a2a97a0cb171e69$var$tree({
                            isDetached: isDetached,
                            ...renderProps
                        }, props.styles),
                    selectionBehavior: "toggle",
                    ref: domRef,
                    children: props.children
                })
            })
        })
    });
}
const $8a2a97a0cb171e69$var$selectedBackground = "[light-dark(color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(59, 99, 251), rgb(86, 129, 255)) 10%), color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(93, 137, 255), rgb(52, 91, 248)) 10%))]";
const $8a2a97a0cb171e69$var$selectedActiveBackground = "[light-dark(color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(59, 99, 251), rgb(86, 129, 255)) 15%), color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(93, 137, 255), rgb(52, 91, 248)) 15%))]";
const $8a2a97a0cb171e69$var$rowBackgroundColor = {
    default: '--s2-container-bg',
    isFocusVisibleWithin: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 7%)]",
    isHovered: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 7%)]",
    isPressed: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 10%)]",
    isSelected: {
        default: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 7%)]",
        isEmphasized: $8a2a97a0cb171e69$var$selectedBackground,
        isFocusVisibleWithin: {
            default: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 10%)]",
            isEmphasized: $8a2a97a0cb171e69$var$selectedActiveBackground
        },
        isHovered: {
            default: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 10%)]",
            isEmphasized: $8a2a97a0cb171e69$var$selectedActiveBackground
        },
        isPressed: {
            default: "[color-mix(in srgb, light-dark(rgb(255, 255, 255), rgb(17, 17, 17)), light-dark(rgb(19, 19, 19), rgb(242, 242, 242)) 10%)]",
            isEmphasized: $8a2a97a0cb171e69$var$selectedActiveBackground
        }
    },
    forcedColors: {
        default: 'Background'
    }
};
const $8a2a97a0cb171e69$var$treeRow = function anonymous(props) {
    let rules = " ";
    rules += ' _Pc91';
    rules += ' sd91';
    rules += ' Fv91';
    rules += ' Za91';
    rules += ' _oa91';
    rules += ' ug91';
    rules += ' uch91';
    rules += ' udi91';
    rules += ' uea91';
    rules += ' ugb91';
    rules += ' uhd91';
    rules += ' uje91';
    rules += ' uic91';
    rules += ' vd91';
    rules += ' vsf91';
    rules += ' wb91';
    rules += ' xb91';
    rules += ' _xa91';
    rules += ' _Fa91';
    rules += ' _Ffb91';
    rules += ' pt91';
    rules += ' _Le91';
    if (props.isLink) rules += ' ry91';
    else rules += ' ri91';
    if (props.isSelected) {
        if (props.isPressed) {
            if (props.isEmphasized) rules += ' -qH4xad-gT9rOHd91';
            else rules += ' -qH4xad-gRfT7e91';
        } else if (props.isHovered) {
            if (props.isEmphasized) rules += ' -qH4xad-gT9rOHd91';
            else rules += ' -qH4xad-gRfT7e91';
        } else if (props.isFocusVisibleWithin) {
            if (props.isEmphasized) rules += ' -qH4xad-gT9rOHd91';
            else rules += ' -qH4xad-gRfT7e91';
        } else if (props.isEmphasized) rules += ' -qH4xad-gJpow3b91';
        else rules += ' -qH4xad-gj1B7i91';
    } else if (props.isPressed) rules += ' -qH4xad-gRfT7e91';
    else if (props.isHovered) rules += ' -qH4xad-gj1B7i91';
    else if (props.isFocusVisibleWithin) rules += ' -qH4xad-gj1B7i91';
    else rules += ' -qH4xad-gEzkoQe91';
    rules += ' -qH4xad-lga91';
    rules += ' -_34HbNb-Oh91';
    rules += ' -_34HbNb-lOc91';
    return rules;
};
const $8a2a97a0cb171e69$var$treeCellGrid = function anonymous(props) {
    let rules = " ";
    rules += ' se91';
    rules += ' Za91';
    rules += ' Fb91';
    rules += ' _oa91';
    rules += ' _cb91';
    rules += ' eb91';
    rules += ' Dw9uTxc91';
    rules += ' EM8Mfn91';
    rules += ' CgjMZ2c91';
    rules += ' gs9yXOb91';
    rules += ' Rp91';
    if (props.isDisabled) {
        rules += ' pp91';
        rules += ' plc91';
    }
    if (props.isFocusVisible) rules += ' -_7xg3bb-Oh91';
    else rules += ' -_7xg3bb-O8Izf8c91';
    rules += ' -_7xg3bb-lOc91';
    rules += ' -pKMv1c-Oh91';
    rules += ' -pKMv1c-lOc91';
    if (props.isDetached) {
        if (props.isSelected) rules += ' iBGbjub91';
        else rules += ' iA91';
    }
    if (props.isDetached) rules += ' _kb91';
    if (props.isDetached) rules += ' hb91';
    if (props.isDetached) rules += ' mb91';
    if (props.isDetached) rules += ' lb91';
    if (props.isDetached) rules += ' ob91';
    if (props.isDetached) rules += ' nb91';
    if (props.isDetached) rules += ' kb91';
    if (props.isDetached) rules += ' jb91';
    if (props.isDetached) rules += ' _jf91';
    return rules;
};
const $8a2a97a0cb171e69$var$treeCheckbox = " zoRzcu91 yoRzcu91 BoRzcu91 AoRzcu91 Ix91 Hy91 Rd91";
const $8a2a97a0cb171e69$var$treeIcon = " z2U5Crc91 y2U5Crc91 B2U5Crc91 A2U5Crc91 Ht91 Hsu91 -_8sjo0b-t5ZbAob91";
const $8a2a97a0cb171e69$var$treeContent = " zk52g2d91 yk52g2d91 Bk52g2d91 Ak52g2d91 _Yb91 _7c91 _Nc91 Pc91";
const $8a2a97a0cb171e69$var$treeActions = " zkG38H91 ykG38H91 BkG38H91 AkG38H91 Ir91 Hs91";
const $8a2a97a0cb171e69$var$treeActionMenu = " z6Nrfjc91 y6Nrfjc91 B6Nrfjc91 A6Nrfjc91";
const $8a2a97a0cb171e69$var$cellFocus = {
    outlineStyle: {
        default: 'none',
        isFocusVisible: 'solid'
    },
    outlineOffset: -2,
    outlineWidth: 2,
    outlineColor: 'focus-ring',
    borderRadius: '[6px]'
};
const $8a2a97a0cb171e69$var$treeRowFocusIndicator = "tDhuzb";
const $8a2a97a0cb171e69$export$6e77ea6719814e9c = (props)=>{
    let { href: href } = props;
    let { isDetached: isDetached, isEmphasized: isEmphasized } = (0, $6K4Mt$react.useContext)($8a2a97a0cb171e69$var$InternalTreeContext);
    return /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.TreeItem), {
        ...props,
        className: (renderProps)=>$8a2a97a0cb171e69$var$treeRow({
                ...renderProps,
                isLink: !!href,
                isEmphasized: isEmphasized
            }) + (renderProps.isFocusVisible && !isDetached ? ' ' + $8a2a97a0cb171e69$var$treeRowFocusIndicator : '')
    });
};
const $8a2a97a0cb171e69$export$9a5779ed3fade674 = (props1)=>{
    let { children: children } = props1;
    let { isDetached: isDetached, isEmphasized: isEmphasized } = (0, $6K4Mt$react.useContext)($8a2a97a0cb171e69$var$InternalTreeContext);
    let scale = (0, $ee7b4c497f520c08$exports.useScale)();
    return /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.TreeItemContent), {
        children: ({ isExpanded: isExpanded, hasChildItems: hasChildItems, selectionMode: selectionMode, selectionBehavior: selectionBehavior, isDisabled: isDisabled, isFocusVisible: isFocusVisible, isSelected: isSelected, id: id, state: state })=>{
            let isNextSelected = false;
            let isNextFocused = false;
            let keyAfter = state.collection.getKeyAfter(id);
            if (keyAfter != null) isNextSelected = state.selectionManager.isSelected(keyAfter);
            let isFirst = state.collection.getFirstKey() === id;
            return /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsxs)("div", {
                className: $8a2a97a0cb171e69$var$treeCellGrid({
                    isDisabled: isDisabled,
                    isNextSelected: isNextSelected,
                    isSelected: isSelected,
                    isFirst: isFirst,
                    isNextFocused: isNextFocused,
                    isDetached: isDetached
                }),
                children: [
                    selectionMode !== 'none' && selectionBehavior === 'toggle' && // TODO: add transition?
                    /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)("div", {
                        className: $8a2a97a0cb171e69$var$treeCheckbox,
                        children: /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $af04e099a53d3e85$exports.Checkbox), {
                            isEmphasized: isEmphasized,
                            slot: "selection"
                        })
                    }),
                    /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)("div", {
                        className: " z7fSmKc91 y7fSmKc91 B7fSmKc91 A7fSmKc91 ZecPNad91"
                    }),
                    /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)($8a2a97a0cb171e69$var$ExpandableRowChevron, {
                        isDisabled: isDisabled,
                        isExpanded: isExpanded,
                        scale: scale,
                        isHidden: !hasChildItems
                    }),
                    /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.Provider), {
                        values: [
                            [
                                (0, $6367bc87eb7d24ad$exports.TextContext),
                                {
                                    styles: $8a2a97a0cb171e69$var$treeContent
                                }
                            ],
                            [
                                (0, $bde97c91243ed164$exports.IconContext),
                                {
                                    render: (0, $e991cbcdf82ced71$exports.centerBaseline)({
                                        slot: 'icon',
                                        styles: $8a2a97a0cb171e69$var$treeIcon
                                    }),
                                    styles: " ZuUmpre91 FuUmpre91 _va91"
                                }
                            ],
                            [
                                (0, $7a26131f6144af2b$exports.ActionButtonGroupContext),
                                {
                                    styles: $8a2a97a0cb171e69$var$treeActions
                                }
                            ],
                            [
                                (0, $e5a758dd286599f2$exports.ActionMenuContext),
                                {
                                    styles: $8a2a97a0cb171e69$var$treeActionMenu,
                                    isQuiet: true
                                }
                            ]
                        ],
                        children: children
                    }),
                    isFocusVisible && isDetached && /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)("div", {
                        role: "presentation",
                        className: function anonymous(props) {
                            let rules = " ";
                            if (props.isFocusVisible) rules += ' _Lf91';
                            else rules += ' _Le91';
                            rules += ' _Kb91';
                            rules += ' _Mc91';
                            rules += ' Oh91';
                            rules += ' of91';
                            rules += ' nf91';
                            rules += ' kf91';
                            rules += ' jf91';
                            rules += ' _Pa91';
                            rules += ' Wr91';
                            rules += ' _lr91';
                            rules += ' _Ar91';
                            rules += ' _zr91';
                            return rules;
                        }({
                            isFocusVisible: true
                        })
                    })
                ]
            });
        }
    });
};
const $8a2a97a0cb171e69$var$expandButton = function anonymous(props) {
    let rules = " ";
    rules += ' z8dW5Qb91';
    rules += ' y8dW5Qb91';
    rules += ' B8dW5Qb91';
    rules += ' A8dW5Qb91';
    if (props.isDisabled) {
        rules += ' pp91';
        rules += ' plc91';
    } else rules += ' p40ub4c91';
    rules += ' Fv91';
    rules += ' Zw91';
    rules += ' sd91';
    rules += ' _wb91';
    rules += ' _cb91';
    rules += ' _Ca91';
    rules += ' _Le91';
    rules += ' ri91';
    if (props.isExpanded) {
        if (props.isRTL) rules += ' _Za91';
        else rules += ' _Zb91';
    }
    rules += ' Td91';
    rules += ' Qd91';
    rules += ' Sd91';
    rules += ' Rd91';
    rules += ' Yd91';
    rules += ' Xb91';
    rules += ' _2b91';
    rules += ' g991';
    rules += ' _je91';
    rules += ' __ca91';
    if (props.isHidden) rules += ' _6b91';
    return rules;
};
function $8a2a97a0cb171e69$var$ExpandableRowChevron(props1) {
    let expandButtonRef = (0, $6K4Mt$react.useRef)(null);
    let [fullProps, ref] = (0, $6K4Mt$reactariacomponents.useContextProps)({
        ...props1,
        slot: 'chevron'
    }, expandButtonRef, (0, $6K4Mt$reactariacomponents.ButtonContext));
    let { isExpanded: isExpanded, scale: scale, isHidden: isHidden } = fullProps;
    let { direction: direction } = (0, $6K4Mt$reactaria.useLocale)();
    return /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $6K4Mt$reactariacomponents.Button), {
        ...props1,
        ref: ref,
        slot: "chevron",
        className: (renderProps)=>$8a2a97a0cb171e69$var$expandButton({
                ...renderProps,
                isExpanded: isExpanded,
                isRTL: direction === 'rtl',
                scale: scale,
                isHidden: isHidden
            }),
        children: /*#__PURE__*/ (0, $6K4Mt$reactjsxruntime.jsx)((0, $1df9f1c9262ce5df$exports.default), {
            className: function anonymous(props) {
                let rules = " ";
                if (props.direction === "rtl") {
                    rules += ' -Z4Pn4c-a91';
                    rules += ' __Ha91';
                } else if (props.direction === "ltr") {
                    rules += ' -Z4Pn4c-b91';
                    rules += ' __Ha91';
                }
                if (props.direction === "rtl") {
                    rules += ' -_04Pn4c-a91';
                    rules += ' __Ha91';
                } else if (props.direction === "ltr") {
                    rules += ' -_04Pn4c-b91';
                    rules += ' __Ha91';
                }
                rules += ' -_8sjo0b-t5ZbAob91';
                return rules;
            }({
                direction: direction
            })
        })
    });
}
/**
 * A tree view provides users with a way to navigate nested hierarchical information.
 */ const $8a2a97a0cb171e69$export$6940b0d9c820eca7 = /*#__PURE__*/ (0, $6K4Mt$react.forwardRef)($8a2a97a0cb171e69$var$TreeView);


//# sourceMappingURL=TreeView.cjs.map
